<?php
/********************************************************************************
 * FineLP - Content management system for landing page 
 * Version          : 1.00
 * Full source code : http://lpsuper.com/hp/infotop006/
 * License          : GPLv2 or later
 * License URI      : http://www.gnu.org/licenses/gpl-2.0.html
 * Author           : Mitsuo Okudaira
 * Created          : 2019/08/30
 ********************************************************************************/
session_start();
include 'function_pdo.php';
// DBへの接続（存在しない場合はDB、TABLEを作成）
$conn = init_sqlite();

$comment_id = $_GET["comment_id"];
$sql_tmp = "update contents_news_comment set 
				comment_kbn			= :comment_kbn,
				update_time 		= :update_time
				where id			= :id";
$comment_kbn = 3;		// 承認済み
$stmt = $conn->prepare($sql_tmp);
$stmt->bindParam(":id", $comment_id);
$stmt->bindParam(":comment_kbn", $comment_kbn);
//更新日時
$time 			= time();
$update_time 	= date('Y/m/d H:i:s', $time);
$stmt->bindParam(":update_time", $update_time);
$stmt->execute();
$loc = "Location:".$_SESSION["news_data_commentmngunit_uri"];
header($loc);
?>
