<?php
/********************************************************************************
 * FineLP - Content management system for landing page 
 * Version          : 1.00
 * Full source code : http://lpsuper.com/hp/infotop006/
 * License          : GPLv2 or later
 * License URI      : http://www.gnu.org/licenses/gpl-2.0.html
 * Author           : Mitsuo Okudaira
 * Created          : 2019/08/30
 ********************************************************************************/
	ini_set("session.bug_compat_42", 0);
	ini_set("session.bug_compat_warn", 0);
	// セッションの復元
	session_start();
	// ログインチェック
	require_once 'check_login_message.php';
	include 'function_pdo.php';
	include 'function_cms.php';
	// DBへの接続（存在しない場合はDB、TABLEを作成）
	$conn = init_sqlite();
	$color_no1_input						= $_POST["color_no1_input"];
	$color_no2_input						= $_POST["color_no2_input"];
	$_SESSION["title_back_color1_input"] 	= $_POST["color_no1_input"];
	$_SESSION["title_back_color2_input"] 	= $_POST["color_no2_input"];
	$iconimg 								= $_SESSION['iconimg'];
	$year_input 							= $_SESSION['year_input'];
	$month_input 							= $_SESSION['month_input'];
	$day_input 								= $_SESSION['day_input'];
	$ji_input 								= $_SESSION['ji_input'];
	$hun_input 								= $_SESSION['hun_input'];
	$news_title_input 						= $_SESSION['news_title_input'];
	$menu_kbn	= $_SESSION["menu_kbn"];
	$btn_id		= $_SESSION["btn_id"];
?>
<!DOCTYPE html>
<html>
<head>
<meta charset="UTF-8" >
<title>Content Management System｜記事タイトルの確認</title>
<meta name="description" content="finelpはランディングページ作成用CMSです。販売ページを簡単に作成できます。">
<link href="cssfiles/common.css" rel="stylesheet" type="text/css">
<link href="cssfiles/cms_common.css" rel="stylesheet" type="text/css">
<link href="cssfiles/cms_contents_page.css" rel="stylesheet" type="text/css">
<link href="cssfiles/wysiwyg.css" rel="stylesheet" type="text/css"><!-- レイアウト、書式等設定 -->
<link href="cssfiles/contents_news_page.css" rel="stylesheet" type="text/css">
<?php
if ($_GET['proc'] == "upd") {
	$sql = "SELECT * FROM contents_news_data where (id = ".$_SESSION["sel_id"].")";
	//echo "<br>sql=".$sql;		// debug
    $stmt = $conn->prepare($sql);
    $stmt->execute();
    $row = $stmt->fetch(PDO::FETCH_ASSOC);
	$color_no1_dsp = $row["title_back_color1"];
	$color_no2_dsp = $row["title_back_color2"];
}
if ($_SESSION['title_font_bold1_input'] == 1) {
	$bold1 = "bold";
}else{
	$bold1 = "normal";
}
if ($_SESSION['title_font_bold2_input'] == 1) {
	$bold2 = "bold";
}else{
	$bold2 = "normal";
}
$style1 =  'style="color:'.$_SESSION['title_font_color1_input'].';font-weight:'.$bold1.';background-color:'.$color_no1_input.';"';
$style2 =  'style="color:'.$_SESSION['title_font_color2_input'].';font-weight:'.$bold2.';background-color:'.$color_no2_input.';"';
?>
</head>
<body>
<div id="container_wide">
<div id="mainarea2"><!-- メインコンテンツ start -->
<div class="p_contents_subarea_cms">
<?php
if ($_SESSION['proc'] == "upd") {
	echo "<div class=\"p_cms_contents_title960\">記事タイトル・背景 修正確認</div>";
}else{
	echo "<div class=\"p_cms_contents_title960\">記事タイトル・背景 追加確認</div>";
}
echo "<br class=\"clear_both\"><br>";
echo "<span class=\"p_edit_guide\">　記事タイトル・背景を確認後、ページ下の「確認」をクリックしてください。</span>";
echo "<br class=\"clear_both\"><br>";
$img_file = NULL;
if ($_SESSION['upload_name_title'] <> NULL) {
	$img_file = $_SESSION['upload_name_title'];
}else
if ($row["news_img_file"] <> NULL && $row["news_img_file"]<>""){
	$img_file = $row["news_img_file"];
}
$_SESSION['news_img_file'] = $img_file;
echo "<div class=\"p_news_contents_area\">";
if ($img_file <> NULL) {
	echo "<div class=\"p_img_box_news\"><img src=\"".$img_file."\" class=\"p_img_property\" alt=\"イメージ\"></div>";
	echo "<div class=\"p_news_contents\">";
	echo "<div class=\"p_news_title\" $style1><img src=\"".$iconimg."\" width=\"17\" height=\"17\" alt=\"●\" class=\"icon\">".$year_input."年".$month_input."月".$day_input."日". $ji_input. "時".$hun_input ."分</div>";
	echo "<div class=\"p_news_text\" $style2>".$news_title_input."</div>";
	echo "</div>";
} else {
	echo "<div class=\"p_news_contents2\">";
	echo "<div class=\"p_news_title2\" $style1><img src=\"".$iconimg."\" width=\"17\" height=\"17\" alt=\"●\" class=\"icon\">".$year_input."年".$month_input."月".$day_input."日". $ji_input. "時".$hun_input ."分</div>";
	echo "<span class=\"p_news_text2\" $style2>".$news_title_input."</span>";
	echo "</div>";
}
echo "</div>";
echo "<br class=\"clear_both\">";
?>
<br>
<div class="btn"><input type="button" value="保存" onClick="location='cms_contents_news_dbsave.php'"></div>
<div class="btn"><input type="button" value="戻る" onClick="location='<?php echo $_SESSION["news_data_title_color_input"]; ?>&amp;modoru=1'"></div>
<br class="clear_both">
</div><!-- end class="p_contents_subarea" -->
</div><!-- end id="mainarea" -->
</div> <!-- end id="container" -->
</body>
</html>
