<?php
/********************************************************************************
 * FineLP - Content management system for landing page 
 * Version          : 1.00
 * Full source code : http://lpsuper.com/hp/infotop006/
 * License          : GPLv2 or later
 * License URI      : http://www.gnu.org/licenses/gpl-2.0.html
 * Author           : Mitsuo Okudaira
 * Created          : 2019/08/30
 ********************************************************************************/
	ini_set("session.bug_compat_42", 0);
	ini_set("session.bug_compat_warn", 0);
	$UA = $_GET["UA"];
	// セッションの復元
	session_start();
	include 'function_pdo.php';
	include 'function_cms.php';
	// DBへの接続（存在しない場合はDB、TABLEを作成）
	$conn 		= init_sqlite();
	
	if (isset($_GET["menu_kbn"])) 	$menu_kbn 	= $_GET["menu_kbn"];
	if (isset($_GET["btn_id"])) 	$btn_id 	= $_GET["btn_id"];
	if (isset($_GET["page_id"])) 	$page_id 	= $_GET["page_id"];
	if (isset($_GET["root"])) 		$root 		= $_GET["root"];
	if (isset($_GET["edit"]))		$edit		= $_GET["edit"];
	if (isset($_GET["mode"])) 		$mode		= $_GET["mode"];		// mod=2(確認画面）
	if (isset($_GET["preview"])) 	$preview	= $_GET["preview"];
	$_SESSION["menu_kbn"] 	= $menu_kbn;
	$_SESSION["btn_id"] 	= $btn_id;
	
	$laypage_id = $page_id;
	$_SESSION["req_uri_free"] = $_SERVER['REQUEST_URI'];
	$button_tbl = "menubutton";
	$button_tbl_id	= $btn_id;
	$sql = "SELECT * FROM contents_page_ctrl where (button_tbl = \"".$button_tbl."\" and button_tbl_id = ".$button_tbl_id.")";
	//echo "sql=".$sql;	// debug
    $stmt = $conn->prepare($sql);
    $stmt->execute();
    $rowctrl = $stmt->fetch(PDO::FETCH_ASSOC);
	$common_page_id = $rowctrl["page_id"];
	$_SESSION["common_page_id"] 	= $common_page_id;	// 各コンテンツページのページID
	$_SESSION["mode"] 	= $mode;
	$contents_page_c = contents_page_c_set($rowctrl["page_table"]);		// コンテンツページ内容のファイル名をセット
	if (($_GET["mode"] == "1" || $_GET["mode"] == "2") && !$_GET["preview"]) {
		$hp_ref  = "";
	}else{
		$hp_ref  = "hp_ref/";
	}
?>
<!DOCTYPE html>
<html>
<head>
<meta charset="UTF-8" >
<?php
include("cms_parts_seo.php");
echo '<link href="'.$hp_ref.'cssfiles/common.css" rel="stylesheet" type="text/css">';
echo '<link href="'.$hp_ref.'cssfiles/cms_common.css" rel="stylesheet" type="text/css">';
echo '<link href="'.$hp_ref.'cssfiles/cms_contents_page.css" rel="stylesheet" type="text/css">';
echo '<link href="'.$hp_ref.'cssfiles/wysiwyg.css" rel="stylesheet" type="text/css">';
// コンテンツページレイアウトテーブルを読む
$sql = "SELECT * FROM contents_layout where (menu_kbn = ".$menu_kbn." and btn_id = ".$btn_id.")";
//echo "sql3=".$sql;
$stmt = $conn->prepare($sql);
$stmt->execute();
$rowlay = $stmt->fetch(PDO::FETCH_ASSOC);
include("cms_parts_contesnts_page_css_link.php");
include("cms_parts_page_head_common1.php");
if ($_GET["preview"]) {
	echo "<script>";
	echo "alert(\"プレビュー画面を閉じるときは、ブラウザーの閉じるボタン[×]をクリックしてください。\")";
	echo "</script>";
}
?>
<script type="text/javascript" src="<?php echo $hp_ref; ?>js/comment_switch.js"></script>
</head>
<body>
<?php include("facebook_code_basic.php");?>
<noscript>
<span class="aka2">恐れ入りますが、ご利用のブラウザでJavaScriptが無効になっているためご利用できません。<br>
お手数をおかけいたしますがブラウザの設定でJavaScriptを有効にしてからご利用ください。</span>
</noscript>
<!-- ヘッダー start -->
<?php
if ($_GET["preview"]) {
	$edit = 3;
} else {
	$edit = $mode;
}
echo "<div id=\"container2\">";
if ($mode <> NULL && $mode == 0) {$edit = 0;}
$root = 2;	// 20160520
header_dsp($conn, $mode, $edit, $root);
?>
<!-- ヘッダー end -->
<div id="mainarea_contents"><!-- メインコンテンツ start -->
<div class="p_contents_page_subarea">
<?php
// 対象ページに紐つくボタン名を取得する。
	// メニューボタンテーブル
	$sql = "SELECT * FROM menubutton where id = ".$btn_id;
//	echo "sql184=".$sql;
	$stmt = $conn->prepare($sql);
	$stmt->execute();
	$rowb = $stmt->fetch(PDO::FETCH_ASSOC);
	$btn_name = $rowb["button_kanjiname"];
$_SESSION["btn_name"] 		= $btn_name;
$uri_param 	= explode( '?', $_SERVER['REQUEST_URI'] );
$param		= "?menu_kbn=".$menu_kbn."&amp;btn_id=".$btn_id."&amp;root=".$root."&amp;page_id=".$page_id;
echo "<div id=\"p_contents_mainarea\">";//<!-- メインコンテンツ start -->
include($contents_page_c);
echo "</div>";//<!-- メインコンテンツ end -->
?>
</div><!-- end class="p_contents_subarea" -->
<br class="clear_both">
<div id="c_page_top"><a href="#page_top" title="ページの先頭へ"><div id="c_page_top_in"> </div></a></div>
<br class="clear_both">
＜＜＜　ブラウザの閉じるボタンで閉じてください　＞＞＞
</div><!-- end id="mainarea" -->
<div id="footer_line"></div>
</div> <!-- end id="container2" -->
<div id="footer">
<?php include("parts_contents_footer.php"); ?>
</div><!-- end .footer -->
<?php
if ($mode==1) {
	$footer_img_in_height = 70;
}else{
	$footer_img_in_height = 50;
}
echo '<div id="footer_img">';
echo '<div id="footer_img_in" style="height:'.$footer_img_in_height.'px;">';
?>
<!-- フッターの下のイメージを表示 2-->
</div>
</div>
<script type="text/javascript" src="<?php echo $hp_ref;?>js/twitter_code.js" charset="UTF-8"></script>
<!-- googole+ボタン用　最後の +1 ボタン タグの後に次のタグを貼り付けてください。 -->
<script src="https://apis.google.com/js/platform.js" async defer>
  {lang: 'ja'}
</script>
</body>
</html>
