<?php
/********************************************************************************
 * FineLP - Content management system for landing page 
 * Version          : 1.00
 * Full source code : http://lpsuper.com/hp/infotop006/
 * License          : GPLv2 or later
 * License URI      : http://www.gnu.org/licenses/gpl-2.0.html
 * Author           : Mitsuo Okudaira
 * Created          : 2019/08/30
 ********************************************************************************/
	ini_set("session.bug_compat_42", 0);
	ini_set("session.bug_compat_warn", 0);
	// セッションの復元
	session_start();
	include 'function_pdo.php';
	include 'function_cms.php';
	// DBへの接続（存在しない場合はDB、TABLEを作成）
	$conn = init_sqlite();
	
	$tableproc 			= $_GET['tableproc'];
	$col_number 		= $_GET['col_number'];
	$row_number 		= $_GET['row_number'];
	$col_cnt_current	= $_GET['col_cnt'];
	$row_cnt_current	= $_GET['row_cnt'];
	$data_id			= $_GET["data_id"];
	$modoru				= $_GET["modoru"];
	$_SESSION["tableproc"]	= $tableproc;
	$_SESSION["errmsg"]			= NULL;
	$_SESSION['procmsg'] 		= NULL;
	if ($tableproc == "coladd") $col_number = $col_number + 1;
	if ($tableproc == "coldel") $col_number = $col_number - 1;
	if ($tableproc == "rowadd") $row_number = $row_number + 1;
	if ($tableproc == "rowdel") $row_number = $row_number - 1;
	// データ移動削除処理
	if ($tableproc == "coladd") {
		for($row_cnt=1;$row_cnt<=$row_number;$row_cnt++){
			for($col_cnt=$col_number;$col_cnt>=$col_cnt_current+2;$col_cnt--){									// 追加する列の右側のデータを右にずらす。
				$_SESSION["cell_input"][$row_cnt][$col_cnt] 		= $_SESSION["cell_input"][$row_cnt][$col_cnt-1];
				$_SESSION["bk_color_input"][$row_cnt][$col_cnt]		= $_SESSION["bk_color_input"][$row_cnt][$col_cnt-1];
				$_SESSION["font_color_input"][$row_cnt][$col_cnt]	= $_SESSION["font_color_input"][$row_cnt][$col_cnt-1];
				$_SESSION["font_bold_input"][$row_cnt][$col_cnt] 	= $_SESSION["font_bold_input"][$row_cnt][$col_cnt-1];
				$_SESSION["font_size"][$row_cnt][$col_cnt]			= $_SESSION["font_size"][$row_cnt][$col_cnt-1];
				$_SESSION["cell_width"][$row_cnt][$col_cnt]			= $_SESSION["cell_width"][$row_cnt][$col_cnt-1];
				$_SESSION["cols"][$row_cnt][$col_cnt]				= $_SESSION["cols"][$row_cnt][$col_cnt-1];
				//echo "$_SESSION[cell_input][$row_cnt][$col_cnt]=".$_SESSION["cell_input"][$row_cnt][$col_cnt];	// debug
				$_SESSION["style_input"][$row_cnt][$col_cnt]		= $_SESSION["style_input"][$row_cnt][$col_cnt-1];
				$_SESSION["style"][$row_cnt][$col_cnt]				= $_SESSION["style"][$row_cnt][$col_cnt-1];
			}
			// 追加される列
			$_SESSION["cell_input"][$row_cnt][$col_cnt_current+1] 		= NULL;
			$_SESSION["bk_color_input"][$row_cnt][$col_cnt_current+1]	= $_SESSION["bk_color_input"][$row_cnt][$col_cnt_current];
			$_SESSION["font_color_input"][$row_cnt][$col_cnt_current+1]	= $_SESSION["font_color_input"][$row_cnt][$col_cnt_current];
			$_SESSION["font_bold_input"][$row_cnt][$col_cnt_current+1] 	= $_SESSION["font_bold_input"][$row_cnt][$col_cnt_current];
			$_SESSION["font_size"][$row_cnt][$col_cnt_current+1]		= $_SESSION["font_size"][$row_cnt][$col_cnt_current];
			$_SESSION["cell_width"][$row_cnt][$col_cnt_current+1]		= 150;
			$_SESSION["style_input"][$row_cnt][$col_cnt_current+1]		= $_SESSION["style_input"][$row_cnt][$col_cnt_current];
			$_SESSION["style"][$row_cnt][$col_cnt+1]					= $_SESSION["style"][$row_cnt][$col_cnt_current];
		}
	}else
	if ($tableproc == "coldel") {
		for($row_cnt=1;$row_cnt<=$row_number;$row_cnt++){														// 削除する列の右側のデータを左にずらす。
			for($col_cnt=$col_cnt_current;$col_cnt<=$col_number;$col_cnt++){
				$_SESSION["cell_input"][$row_cnt][$col_cnt] 		= $_SESSION["cell_input"][$row_cnt][$col_cnt+1];
				$_SESSION["bk_color_input"][$row_cnt][$col_cnt]		= $_SESSION["bk_color_input"][$row_cnt][$col_cnt+1];
				$_SESSION["font_color_input"][$row_cnt][$col_cnt]	= $_SESSION["font_color_input"][$row_cnt][$col_cnt+1];
				$_SESSION["font_bold_input"][$row_cnt][$col_cnt] 	= $_SESSION["font_bold_input"][$row_cnt][$col_cnt+1];
				$_SESSION["font_size"][$row_cnt][$col_cnt]			= $_SESSION["font_size"][$row_cnt][$col_cnt+1];
				$_SESSION["cell_width"][$row_cnt][$col_cnt]			= $_SESSION["cell_width"][$row_cnt][$col_cnt+1];
				$_SESSION["cols"][$row_cnt][$col_cnt]				= $_SESSION["cols"][$row_cnt][$col_cnt+1];
				//echo "$_SESSION[cell_input][$row_cnt][$col_cnt]=".$_SESSION["cell_input"][$row_cnt][$col_cnt];	// debug
				$_SESSION["style_input"][$row_cnt][$col_cnt]		= $_SESSION["style_input"][$row_cnt][$col_cnt+1];
				$_SESSION["style"][$row_cnt][$col_cnt]				= $_SESSION["style"][$row_cnt][$col_cnt+1];
			}
		}
	}else
	if ($tableproc == "rowadd") {
		for($col_cnt=1;$col_cnt<=$col_number;$col_cnt++){														// 追加する行の下側のデータを下にずらす。
			for($row_cnt=$row_number;$row_cnt>=$row_cnt_current+2;$row_cnt--){
				$_SESSION["cell_input"][$row_cnt][$col_cnt] 		= $_SESSION["cell_input"][$row_cnt-1][$col_cnt];
				$_SESSION["bk_color_input"][$row_cnt][$col_cnt]		= $_SESSION["bk_color_input"][$row_cnt-1][$col_cnt];
				$_SESSION["font_color_input"][$row_cnt][$col_cnt]	= $_SESSION["font_color_input"][$row_cnt-1][$col_cnt];
				$_SESSION["font_bold_input"][$row_cnt][$col_cnt] 	= $_SESSION["font_bold_input"][$row_cnt-1][$col_cnt];
				$_SESSION["font_size"][$row_cnt][$col_cnt]			= $_SESSION["font_size"][$row_cnt-1][$col_cnt];
				$_SESSION["cell_width"][$row_cnt][$col_cnt]			= $_SESSION["cell_width"][$row_cnt-1][$col_cnt];
				$_SESSION["cols"][$row_cnt][$col_cnt]				= $_SESSION["cols"][$row_cnt-1][$col_cnt];
				//echo "$_SESSION[cell_input][$row_cnt][$col_cnt]=".$_SESSION["cell_input"][$row_cnt][$col_cnt];	// debug
				$_SESSION["style_input"][$row_cnt][$col_cnt]		= $_SESSION["style_input"][$row_cnt-1][$col_cnt];
				$_SESSION["style"][$row_cnt][$col_cnt]				= $_SESSION["style"][$row_cnt-1][$col_cnt];
			}
			$_SESSION["cell_input"][$row_cnt_current+1][$col_cnt] 		= NULL;
			$_SESSION["bk_color_input"][$row_cnt_current+1][$col_cnt]	= $_SESSION["bk_color_input"][$row_cnt_current][$col_cnt];
			$_SESSION["font_color_input"][$row_cnt_current+1][$col_cnt]	= $_SESSION["font_color_input"][$row_cnt_current][$col_cnt];
			$_SESSION["font_bold_input"][$row_cnt_current+1][$col_cnt] 	= $_SESSION["font_bold_input"][$row_cnt_current][$col_cnt];
			$_SESSION["font_size"][$row_cnt_current+1][$col_cnt]		= $_SESSION["font_size"][$row_cnt_current][$col_cnt];
			$_SESSION["cell_width"][$row_cnt_current+1][$col_cnt]		= 150;
			$_SESSION["style_input"][$row_cnt_current+1][$col_cnt]		= $_SESSION["style_input"][$row_cnt_current][$col_cnt];
			$_SESSION["style"][$row_cnt_current+1][$col_cnt]			= $_SESSION["style"][$row_cnt_current][$col_cnt];
		}
	}else
	if ($tableproc == "rowdel") {
		for($col_cnt=1;$col_cnt<=$col_number;$col_cnt++){														// 削除する行の下側のデータを上にずらす。
			for($row_cnt=$row_cnt_current;$row_cnt<=$row_number;$row_cnt++){
				$_SESSION["cell_input"][$row_cnt][$col_cnt] = $_SESSION["cell_input"][$row_cnt+1][$col_cnt];
				$_SESSION["bk_color_input"][$row_cnt][$col_cnt]		= $_SESSION["bk_color_input"][$row_cnt+1][$col_cnt];
				$_SESSION["font_color_input"][$row_cnt][$col_cnt]	= $_SESSION["font_color_input"][$row_cnt+1][$col_cnt];
				$_SESSION["font_bold_input"][$row_cnt][$col_cnt] 	= $_SESSION["font_bold_input"][$row_cnt+1][$col_cnt];
				$_SESSION["font_size"][$row_cnt][$col_cnt]			= $_SESSION["font_size"][$row_cnt+1][$col_cnt];
				$_SESSION["cell_width"][$row_cnt][$col_cnt]			= $_SESSION["cell_width"][$row_cnt+1][$col_cnt];
				$_SESSION["cols"][$row_cnt][$col_cnt]				= $_SESSION["cols"][$row_cnt+1][$col_cnt];
				//echo "$_SESSION[cell_input][$row_cnt][$col_cnt]=".$_SESSION["cell_input"][$row_cnt][$col_cnt];	// debug
				$_SESSION["style_input"][$row_cnt][$col_cnt]		= $_SESSION["style_input"][$row_cnt+1][$col_cnt];
				$_SESSION["style"][$row_cnt][$col_cnt]				= $_SESSION["style"][$row_cnt+1][$col_cnt];
			}
		}
	}
	header('Location:'.$_SESSION["table_free_data_table_edit_req_uri"].'&tableproc='.$tableproc.'&col_number='.$col_number.'&row_number='.$row_number.'&id='.$data_id.'&modoru='.$modoru.'');
?>
