<?php
/********************************************************************************
 * FineLP - Content management system for landing page 
 * Version          : 1.00
 * Full source code : http://lpsuper.com/hp/infotop006/
 * License          : GPLv2 or later
 * License URI      : http://www.gnu.org/licenses/gpl-2.0.html
 * Author           : Mitsuo Okudaira
 * Created          : 2019/08/30
 ********************************************************************************/
	ini_set("session.bug_compat_42", 0);
	ini_set("session.bug_compat_warn", 0);
	// セッションの復元
	session_start();
	require_once 'cms_access_check.php';		// 不正アクセスチェック
	require_once 'check_login_message.php';		// ログインチェック

	$sel_layout				= $_POST['sel_layout'];	
	include 'function_pdo.php';
	include 'function_cms.php';
	include 'src/function_cms2.php';
	// DBへの接続（存在しない場合はDB、TABLEを作成）
	$conn 		= init_sqlite();
	$conn2 		= init_sqlite2();
	
	// indexページのbtn_id（menubuttonテーブルのレコードID)を取得
	$contents_mng = true;
	
	if ($_GET["text_proc"] <> NULL) {
		$_SESSION["text_proc"] = $_GET["text_proc"];
	}else{
		$_SESSION["text_proc"] = NULL;
	}
	if ($_GET["section_proc"] <> NULL) {
		$_SESSION["section_proc"] = $_GET["section_proc"];
	}else{
		$_SESSION["section_proc"] = NULL;
	}
	
	if ($_GET["text_proc"] == "upd" && !($_GET["editerr"] || $_GET["modoru"])) {
		$_SESSION["section_pc_text_data_id"] =	$_GET["section_pc_text_data_id"];
	}
	if ($_GET["text_proc"] == "add") {
		$dsp_proc = "追加";
	}else{
		$dsp_proc = "修正/削除";
	}
	
	$_SESSION["img_using_table_name_col_id"] 	= "section_pc_text_data_0";								// サーバー画像削除可能とするため
	$_SESSION["pdf_using_table_name_col_id"] 	= "pdf_section_pc_text_data_0";							// サーバーPDFファイルイを削除可能とするため
	$_SESSION["zip_using_table_name_col_id"] 	= "zip_section_pc_text_data_0";							// サーバーZIPファイルイを削除可能とするため
?>
<!DOCTYPE html>
<html>
<head>
<meta charset="UTF-8" >
<title>Content Management System｜テキストの<?php echo $dsp_proc;?></title>
<meta name="description" content="finelpはランディングページ作成用CMSです。販売ページを簡単に作成できます。">
<link href="cssfiles/cms_index_contents_mng.css" rel="stylesheet" type="text/css">
<link href="cssfiles/cms_common_contents_wysiwyg.css" rel="stylesheet" type="text/css">
<link href="cssfiles/wysiwyg.css" rel="stylesheet" type="text/css"><!-- レイアウト、書式等設定 -->
<script type="text/javascript" src="jQuery/jquery-3.2.1.min.js"></script>
<script src="wColorPicker-2.1.7/wColorPicker.min.js"></script>
<link rel="Stylesheet" type="text/css" href="wColorPicker-2.1.7/wColorPicker.min.css">
<script src="js/cms_color_for_wColorPicker.js"></script>
<script type="text/javascript" src="js/lightbox.js"></script>
<script type="text/javascript" src="js/cms_proc.js"></script>
<?php
	echo '<style>';
		echo ".edit_area1 a:link{";
		echo "text-decoration: underline;";
		echo "}";
	echo '</style>';
?>
</head>

<body>
<div id="container">
<div id ="mainarea">
	<div class="p_section_edit_title">セクションテキストの編集</div>
	<br class="clear_both">
	<!--
    //**********************************************************//
	//					　セクションの追加						//
	//**********************************************************//
    -->
	<span class="p_edit_guide">内容を編集し[保存]をクリックしてください。削除する場合は[削除]をクリックしてください。</span>	
	<br class="clear_both">
	<?php
	echo '<form action="cms_index_contents_mng_section_pc_text_dbsave.php?text_proc='.$_SESSION["text_proc"].'&section_proc='.$_GET["section_proc"].'" method="POST">';
		echo "<br>";
		$sel_no = str_pad($sel_layout, 2, 0, STR_PAD_LEFT);
		if ($_GET["editerr"]) {
			echo '<div class="errmsg">'.$_SESSION["editerrmsg"].'</div>';
			echo '<br class="clear_both">';
		}
		
		echo '<br class="clear_both">';
		if ($_GET["text_proc"] == "upd") {
			if (!$_GET["modoru"]) {
				$sql = "SELECT * FROM section_pc_text_data WHERE (id = ".$_SESSION["section_pc_text_data_id"].") ORDER BY orderno ASC";
				//echo "<br>sql_text=".$sql;		// debug
				$stmt = $conn->prepare($sql);
				$stmt->execute();
				if ($row = $stmt->fetch(PDO::FETCH_ASSOC)) {
					$contents = $row["contents"];
				}else{
					$contents = NULL;
				}
			}else{
				$contents = $_SESSION['contents_input'];
			}
		}else{
			$contents = NULL;
		}
		$_SESSION["section_edit"] = true;
		// ボタン表示有無設定(wysiwygeditorの使用箇所により表示するボタンを制限する)
		$settings["fontsize"]				= 1;	// 【文字サイズ】ボタンを表示する。（1：表示、0：非表示）
		$settings["fontname"]				= 1;	// 【フォント種類】ボタンを表示する。（1：表示、0：非表示）
		$settings["bold"]					= 1;	// 【太字】ボタンを表示する。（1：表示、0：非表示）
		$settings["underline"]				= 1;	// 【下線】ボタンを表示する。（1：表示、0：非表示）
		$settings["strikethrough"]			= 1;	// 【消し線】ボタンを表示する。（1：表示、0：非表示）
		$settings["forecolor"]				= 1;	// 【文字色】ボタンを表示する。（1：表示、0：非表示）
		$settings["backcolor"]				= 1;	// 【文字背景色】ボタンを表示する。（1：表示、0：非表示）
		$settings["justifycenter"]			= 1;	// 【中央揃え】ボタンを表示する。（1：表示、0：非表示）
		$settings["justifyleft"]			= 1;	// 【左寄せ】ボタンを表示する。（1：表示、0：非表示）
		$settings["justifyright"]			= 1;	// 【右寄せ】ボタンを表示する。（1：表示、0：非表示）
		$settings["justifyfull"]			= 1;	// 【両端揃え】ボタンを表示する。（1：表示、0：非表示）
		$settings["indent"]					= 1;	// 【字下げ】ボタンを表示する。（1：表示、0：非表示）
		$settings["outdent"]				= 1;	// 【字上げ】ボタンを表示する。（1：表示、0：非表示）
		$settings["chk_icon"]				= 1;	// 【チェックアイコン挿入】ボタンを表示する。（1：表示、0：非表示）
		$settings["icon"]					= 1;	// 【絵文字・アイコン挿入】ボタンを表示する。（1：表示、0：非表示）
		$settings["picture"]				= 1;	// 【パソコン内の画像挿入】ボタンを表示する。（1：表示、0：非表示）
		$settings["hyperlink"]				= 1;	// 【リンクＵＲＬ挿入】ボタンを表示する。（1：表示、0：非表示）
		$settings["banner"]					= 1;	// 【バナー/アフィリエイトリンク/２ティアリンク挿入】ボタンを表示する。（1：表示、0：非表示）
		$settings["kessai"]					= 1;	// 【インフォトップ決済リンク挿入】ボタンを表示する。（1：表示、0：非表示）
		$settings["imglink"]				= 1;	// 【画像リンク挿入】ボタンを表示する。（1：表示、0：非表示）
		$settings["pdflink"]				= 1;	// 【ＰＤＦ＆リンク挿入】ボタンを表示する。（1：表示、0：非表示）
		$settings["ziplink"]				= 1;	// 【zip＆リンク挿入】ボタンを表示する。（1：表示、0：非表示）
		$settings["youtube"]				= 1;	// 【YouTube動画挿入】ボタンを表示する。（1：表示、0：非表示）
		$settings["table"]					= 1;	// 【表挿入】ボタンを表示する。（1：表示、0：非表示）
		$settings["mailform"]				= 1;	// 【問合せフォーム】ボタンを表示する。（1：表示、0：非表示）
		$settings["shop"]					= 0;	// 【ネットショップ商品挿入】ボタンを表示する。（1：表示、0：非表示）
		$settings["sns"]					= 0;	// 【ＳＮＳボタン挿入】ボタンを表示する。（1：表示、0：非表示）
		$settings["gmap"]					= 0;	// 【地図(GoogleMap)挿入】ボタンを表示する。（1：表示、0：非表示）
		$settings["area_color"]				= 0;	// 【全体背景色設定】ボタンを表示する。（1：表示、0：非表示）
		$settings["clear_all"]				= 1;	// 【編集エリア全クリア】ボタンを表示する。（1：表示、0：非表示）
		$settings["clear_select_format"]	= 1;	// 【選択文字の書式クリア】ボタンを表示する。（1：表示、0：非表示）
		$settings["clear_format"]			= 1;	// 【全文字列の書式クリア】ボタンを表示する。（1：表示、0：非表示）
		$settings["help"]					= 1;	// 【ヘルプ】ボタンを表示する。（1：表示、0：非表示）
		$contents			= $contents;
		$textarea_name 		= "contents_input";		//  POST先で$_POST["htmlarea_input"]で受け取る
		$submit_id1 		= "confirm1";			//  submitボタン（確認ボタン）のidセレクター（存在しない場合はダミーのNULLを指定する）
		$submit_id2 		= "confirm2";			//  submitボタンが２つある場合（保存ボタン）、２つ目のidセレクター（存在しない場合はダミーのNULLを指定する）
		$area_width 		= 960;					// 編集エリアの横幅（px値）
		$min_height			= 400;					// 編集エリアの縦幅の最小値（px値）
		$default_font_size	= 14;					// 編集エリアの中身の文字の初期サイズ（px値）
		editor($settings, $contents, $textarea_name, $submit_id1, $submit_id2, $area_width, $min_height, $default_font_size);
	echo '<br>';
   	echo '<div class="btn" style="top:10px;z-index:500000;"><input type="submit" id="confirm1" class="pointer" value="保存" ></div>';
    echo '<div class="btn" style="top:10px;z-index:500000;"><input type="button" class="pointer" value="削除" onClick="section_pc_text_del(' .  $_SESSION["section_pc_text_data_id"] . ')"></div>';
    echo '<div class="btn" style="top:10px;cursor:pointer;z-index:500000;"><input type="button" class="pointer" value="戻る" onClick="location=\''.$_SESSION["return_uri_section"].'&modoru=1\'"></div>';
	echo '</form>';
	?>
    <br><br>
</div>
</div>
</body>
<script type="text/javascript">window.focus();</script>
</html>
