<?php
/********************************************************************************
 * FineLP - Content management system for landing page 
 * Version          : 1.00
 * Full source code : http://lpsuper.com/hp/infotop006/
 * License          : GPLv2 or later
 * License URI      : http://www.gnu.org/licenses/gpl-2.0.html
 * Author           : Mitsuo Okudaira
 * Created          : 2019/08/30
 ********************************************************************************/
	ini_set("session.bug_compat_42", 0);
	ini_set("session.bug_compat_warn", 0);
	// セッションの復元
	session_start();
	require_once 'cms_access_check.php';		// 不正アクセスチェック
	require_once 'check_login_message.php';		// ログインチェック
	$sel_layout				= $_POST['sel_layout'];	
	include 'function_pdo.php';
	include 'function_cms.php';
	include 'src/function_cms2.php';
	// DBへの接続（存在しない場合はDB、TABLEを作成）
	$conn = init_sqlite();
	$conn2 = init_sqlite2();
	// indexページのbtn_id（menubuttonテーブルのレコードID)を取得
	$contents_mng = true;
	
	if ($_GET["section_title_proc"] <> NULL) {
		$_SESSION["section_title_proc"] = $_GET["section_title_proc"];
	}else{
		$_SESSION["section_title_proc"] = NULL;
	}
	if ($_GET["section_proc"] <> NULL) {
		$_SESSION["section_proc"] = $_GET["section_proc"];
	}else{
		$_SESSION["section_proc"] = NULL;
	}
	
	if ($_GET["section_title_proc"] == "add") {
		$dsp_proc = "追加";
	}else{
		$dsp_proc = "修正/削除";
	}
	
	if ($_GET["section_title_proc"] == "upd" && !($_GET["err"] || $_GET["modoru"])) {
		$sql = "SELECT * FROM section WHERE (id = ".$_SESSION["section_id"].")";
		//echo "<br>sql=".$sql;		// debug
		$stmt = $conn->prepare($sql);
		$stmt->execute();
		$rowsec = $stmt->fetch(PDO::FETCH_ASSOC);
		$section_title_input		= $_SESSION["section_title_input"] 	= $rowsec["section_title"];
		$padding_top_input			= $_SESSION["padding_top_input"] 		= $rowsec["padding_top"];
		$indent_input				= $_SESSION["indent_input"] 			= $rowsec["indent"];
		$dsp_form 					= $_SESSION["dsp_form"] 				= $rowsec["dsp_form"];
	}else
	if ($_GET["section_title_proc"] == "add" && !($_GET["err"] || $_GET["modoru"])) {
		$section_title_input	= NULL;
		$padding_top_input		= 5;
		$indent_input			= 10;
		$title_color_input 		= "FFFFFF";
		$dsp_form				= 1;
	}else{
		$section_title_input	= $_SESSION["section_title_input"];
		$padding_top_input		= $_SESSION["padding_top_input"];
		$indent_input			= $_SESSION["indent_input"];
		$title_color_input 		= $_SESSION["background_color_input"];
		$dsp_form	 			= $_SESSION["font_family"];
	}
	
	$uri_param0 	= $_SERVER['REQUEST_URI'];
	$uri_param 	= explode( '?', $_SERVER['REQUEST_URI'] );
	$_SESSION["section_title_edit_req_uri"] = $uri_param[0]."?mode=1&section_proc=".$_SESSION["section_proc"]."&section_title_proc=".$_SESSION["section_title_proc"];
	$_SESSION["HTTP_USER_AGENT"] 				= $_SERVER['HTTP_USER_AGENT'];
	$_SESSION["img_using_table_name_col_id"]	= "section_title_0";								// サーバー画像削除可能とするため
?>
<!DOCTYPE html>
<html>
<head>
<meta charset="UTF-8" >
<title>Content Management System｜セクションタイトルの<?php echo $dsp_proc;?></title>
<meta name="description" content="finelpはランディングページ作成用CMSです。販売ページを簡単に作成できます。">
<link href="cssfiles/common.css" rel="stylesheet" type="text/css">
<link href="cssfiles/cms_contents_page.css" rel="stylesheet" type="text/css">
<link href="cssfiles/cms_index_contents_mng.css" rel="stylesheet" type="text/css">
<link href="cssfiles/cms_common_contents_wysiwyg.css" rel="stylesheet" type="text/css">
<link href="cssfiles/wysiwyg.css" rel="stylesheet" type="text/css"><!-- レイアウト、書式等設定 -->
<script type="text/javascript" src="jQuery/jquery-3.2.1.min.js"></script>
<script src="wColorPicker-2.1.7/wColorPicker.min.js"></script>
<link rel="Stylesheet" type="text/css" href="wColorPicker-2.1.7/wColorPicker.min.css">
<script src="js/cms_color_for_wColorPicker.js"></script>
<script type="text/javascript" src="js/lightbox.js"></script>
<script type="text/javascript" src="js/cms_proc.js"></script>
</head>

<body>
<div id="container">
<div id ="mainarea">
	<div class="p_section_edit_title">セクションタイトルの<?php echo $dsp_proc;?></div>
	<br class="clear_both">
	<!--
    //**********************************************************//
	//					　セクションの追加						//
	//**********************************************************//
    -->
	<span class="p_edit_guide">セクションタイトルを編集し[保存]をクリックしてください。削除する場合は[削除]をクリックしてください。
    <br>※セクションタイトルの修飾はセクションタイトル全体が対象になります。
    <br>※背景画像を選択した場合、背景色は無視されます。</span><br>	
	<br class="clear_both">
	<?php
	echo '<form action="cms_index_contents_mng_section_title_edit_img_sel.php?section_title_proc='.$_GET["section_title_proc"].'&section_proc='.$_GET["section_proc"].'" method="POST" enctype="multipart/form-data">';
        if ($_GET["err"]) {
            echo "<div class=\"errmsg\" >";
            echo $_SESSION["errmsg"];
            echo "</div>";
        }
		// セクションタイトルを設定
		if ($_GET['modoru']){
			$dsp_title 		= $_SESSION['section_title_input'];
			$color_name		= $_SESSION["color_name"];
		} else
		if ( $_SESSION['section_title_proc'] == "add") {
			$dsp_title				= "";
			$color_name				= NULL;
			$_SESSION["color_name"] = $color_name;
		}else
		if ( $_SESSION['section_title_proc']== "upd"){
			$dsp_title				= $rowsec['section_title'];
			$color_name				= color_set($rowsec['title_img_no'], $rowsec["title_color"]);
			//echo '$color_name='.$color_name;	// debug
			$_SESSION["color_name"] = $color_name;
		}
		$settings["fontsize"]				= 1;	// 【文字サイズ】ボタンを表示する。（1：表示、0：非表示）
		$settings["fontname"]				= 1;	// 【フォント種類】ボタンを表示する。（1：表示、0：非表示）
		$settings["bold"]					= 1;	// 【太字】ボタンを表示する。（1：表示、0：非表示）
		$settings["underline"]				= 1;	// 【下線】ボタンを表示する。（1：表示、0：非表示）
		$settings["strikethrough"]			= 1;	// 【消し線】ボタンを表示する。（1：表示、0：非表示）
		$settings["forecolor"]				= 1;	// 【文字色】ボタンを表示する。（1：表示、0：非表示）
		$settings["backcolor"]				= 1;	// 【文字背景色】ボタンを表示する。（1：表示、0：非表示）
		$settings["justifycenter"]			= 1;	// 【中央揃え】ボタンを表示する。（1：表示、0：非表示）
		$settings["justifyleft"]			= 1;	// 【左寄せ】ボタンを表示する。（1：表示、0：非表示）
		$settings["justifyright"]			= 1;	// 【右寄せ】ボタンを表示する。（1：表示、0：非表示）
		$settings["justifyfull"]			= 1;	// 【両端揃え】ボタンを表示する。（1：表示、0：非表示）
		$settings["indent"]					= 1;	// 【字下げ】ボタンを表示する。（1：表示、0：非表示）
		$settings["outdent"]				= 1;	// 【字上げ】ボタンを表示する。（1：表示、0：非表示）
		$settings["chk_icon"]				= 1;	// 【チェックアイコン挿入】ボタンを表示する。（1：表示、0：非表示）
		$settings["icon"]					= 1;	// 【絵文字・アイコン挿入】ボタンを表示する。（1：表示、0：非表示）
		$settings["picture"]				= 1;	// 【パソコン内の画像挿入】ボタンを表示する。（1：表示、0：非表示）
		$settings["hyperlink"]				= 1;	// 【リンクＵＲＬ挿入】ボタンを表示する。（1：表示、0：非表示）
		$settings["banner"]					= 1;	// 【バナー/アフィリエイトリンク/２ティアリンク挿入】ボタンを表示する。（1：表示、0：非表示）
		$settings["kessai"]					= 1;	// 【インフォトップ決済リンク挿入】ボタンを表示する。（1：表示、0：非表示）
		$settings["imglink"]				= 1;	// 【画像リンク挿入】ボタンを表示する。（1：表示、0：非表示）
		$settings["pdflink"]				= 1;	// 【ＰＤＦ＆リンク挿入】ボタンを表示する。（1：表示、0：非表示）
		$settings["ziplink"]				= 1;	// 【zip＆リンク挿入】ボタンを表示する。（1：表示、0：非表示）
		$settings["youtube"]				= 1;	// 【YouTube動画挿入】ボタンを表示する。（1：表示、0：非表示）
		$settings["table"]					= 1;	// 【表挿入】ボタンを表示する。（1：表示、0：非表示）
		$settings["mailform"]				= 1;	// 【問合せフォーム】ボタンを表示する。（1：表示、0：非表示）
		$settings["shop"]					= 0;	// 【ネットショップ商品挿入】ボタンを表示する。（1：表示、0：非表示）
		$settings["sns"]					= 0;	// 【ＳＮＳボタン挿入】ボタンを表示する。（1：表示、0：非表示）
		$settings["gmap"]					= 0;	// 【地図(GoogleMap)挿入】ボタンを表示する。（1：表示、0：非表示）
		$settings["area_color"]				= 0;	// 【全体背景色設定】ボタンを表示する。（1：表示、0：非表示）
		$settings["clear_all"]				= 1;	// 【編集エリア全クリア】ボタンを表示する。（1：表示、0：非表示）
		$settings["clear_select_format"]	= 1;	// 【選択文字の書式クリア】ボタンを表示する。（1：表示、0：非表示）
		$settings["clear_format"]			= 1;	// 【全文字列の書式クリア】ボタンを表示する。（1：表示、0：非表示）
		$settings["help"]					= 1;	// 【ヘルプ】ボタンを表示する。（1：表示、0：非表示）
		$contents			= $dsp_title;
		$textarea_name 		= "section_title_input";		//  POST先で$_POST["section_title_input"]で受け取る
		$submit_id1 		= "confirm1";			//  submitボタン（確認ボタン）のidセレクター（存在しない場合はダミーのNULLを指定する）
		$submit_id2 		= "confirm2";			//  submitボタンが２つある場合（保存ボタン）、２つ目のidセレクター（存在しない場合はダミーのNULLを指定する）
		$area_width 		= 960;					// 編集エリアの横幅（px値）
		$min_height			= 40;					// 編集エリアの縦幅の最小値（px値）
		$default_font_size	= 24;					// 編集エリアの中身の文字の初期サイズ（px値）
		editor($settings, $contents, $textarea_name, $submit_id1, $submit_id2, $area_width, $min_height, $default_font_size);
		if ($dsp_form == 2) {
			$dsp_form_check1 = NULL;
			$dsp_form_check2 = "checked";
		}else{
			$dsp_form_check1 = "checked";
			$dsp_form_check2 = NULL;
		}
		echo '<table cellspacing=1 cellpadding=0>';
		echo '<tr><td style="border:1px #666 solid;"><input type="radio" name="dsp_form_input" value="1" '.$dsp_form_check1.'></td><td style="border:1px #666 solid;">セクション内容を最初から表示</td></tr>';
		echo '<tr><td style="border:1px #666 solid;"><input type="radio" name="dsp_form_input" value="2" '.$dsp_form_check2.'></td><td style="border:1px #666 solid;">セクションタイトルクリックでセクション内容を表示(管理ページでは最初から表示されます。）';
		echo '<br><span class="aka2">※表示されていない内容は「Yahoo!」「Google」の検索結果に表示されませんのでご注意ください。</span></td></tr>';
		echo '</table>';
	echo '<br>';
	echo "<div class=\"btn\"><input type=\"submit\" id=\"confirm1\" value=\"確認\" name=\"proc\"></div>";
	echo "<div class=\"btn\"><input type=\"submit\" id=\"confirm2\" value=\"背景選択\" name=\"proc\"></div>";
    echo '<div class="btn"><input type="button" value="削除" onClick="section_title_del(' .  $_SESSION["section_id"] . ')"></div>';	// input type="button" を　type="submit"にするとform actionが実行されてしまうので注意！
	if(strstr($_SESSION["return_uri_text_save"], "?")) {
		$param = '&modoru=1';
	}else{
		$param = '?modoru=1';
	}
    echo '<div class="btn"><input type="button" value="戻る" onClick="location=\'cms_index_contents_mng_section.php?mode=1&ection_title_proc='.$_GET["section_title_proc"].'&section_proc='.$_GET["section_proc"].'&section_id='.$_GET["section_id"].'&modoru=1\'"></div>';	// input type="button" を　type="submit"にするとform actionが実行されてしまうので注意！
	echo '</form>';
	?>
    <br><br>
</div>
</div>
</body>
<script type="text/javascript">window.focus();</script>
</html>
