<?php
/********************************************************************************
 * FineLP - Content management system for landing page 
 * Version          : 1.00
 * Full source code : http://lpsuper.com/hp/infotop006/
 * License          : GPLv2 or later
 * License URI      : http://www.gnu.org/licenses/gpl-2.0.html
 * Author           : Mitsuo Okudaira
 * Created          : 2019/08/30
 ********************************************************************************/
	ini_set("session.bug_compat_42", 0);
	ini_set("session.bug_compat_warn", 0);
	// セッションの復元
	session_start();
	// ログインチェック
	require_once 'check_login_message.php';
	if ($_POST['proc'] == "戻る") {
		print "<script type=\"text/javascript\">window.open(\"about:blank\",\"_self\").close();</script>";	// 自分自身を閉じる。
		exit;
	}
	include 'function_pdo.php';
	include 'function_cms.php';
	// DBへの接続（存在しない場合はDB、TABLEを作成）
	$conn = init_sqlite();
	//セッション情報に保存
	if ($_GET["proc"] == "title") {
		$sql = "SELECT * FROM section where (id = ".$_SESSION["section_id"].")";
		//echo "<br>sql=".$sql;		// debug
		$stmt = $conn->prepare($sql);
		$stmt->execute();
		$rowpg = $stmt->fetch(PDO::FETCH_ASSOC);
		$title_img_no				= $rowpg['title_img_no'];
		$_SESSION['title_img_no']	= $rowpg['title_img_no'];
		$loc = $_SESSION["section_title_edit_img_sel"];
	}else{
		$title_img_no				= $_POST['back_input'];
		$_SESSION['title_img_no']	= $_POST['back_input'];
		$loc = $_SESSION["section_title_edit_img_sel"];
	}
?>
<!DOCTYPE html>
<html>
<head>
<meta charset="UTF-8" >
<title>Content Management System｜セクションタイトルの確認</title>
<meta name="description" content="finelpはランディングページ作成用CMSです。販売ページを簡単に作成できます。">
<link href="cssfiles/common.css" rel="stylesheet" type="text/css">
<link href="cssfiles/cms_common.css" rel="stylesheet" type="text/css">
<link href="cssfiles/cms_contents_page.css" rel="stylesheet" type="text/css">
<link href="cssfiles/contents_title_free_page.css" rel="stylesheet" type="text/css">
<!-- for Lightbox 2 css start -->
<link rel="stylesheet" href="css/lightbox.css" type="text/css" media="screen" >
<!-- for Lightbox 2 css end -->
<!-- html5対応(IE) start-->
<!--[if lt IE 9]>
<script src="js_common/html5shiv.js"></script>
<![endif]-->
<!-- html5対応(IE) end-->
<!-- for Lightbox 2 start -->
<link href="cssfiles/wysiwyg.css" rel="stylesheet" type="text/css"><!-- レイアウト、書式等設定 -->
<script type="text/javascript" src="jQuery/jquery-3.2.1.min.js"></script>
<script type="text/javascript" src="js/lightbox.js"></script>
<!-- for Lightbox 2 end -->
<?php
include 'cms_contents_page_edit_updt_common_parts_page_title_edit_kakunin_css.php';		// $styleをセット
?>
</head>
<body>
<div id="container_wide">
<div id="mainarea"><!-- メインコンテンツ start -->
<div class="p_contents_subarea_cms">
<br class="clear_both">
<?php
    if ($_SESSION['proc'] == "upd") {
        echo "<div class=\"p_proc_title_cms\">セクションタイトル・背景 修正確認</div>";

    }else{
        echo "<div class=\"p_proc_title_cms\">セクションタイトル・背景 追加確認</div>";
    }
	echo "<br class=\"clear_both\">";
	echo "<p class=\"p_edit_guide\">　セクションタイトル・背景を確認後、ページ下の「確認」をクリックしてください。</p>";
	echo "<br class=\"clear_both\">";
// ページタイトル表示
echo "<div class=\"p_title_back_$title_img_no\" $style>".nl2br($_SESSION['section_title_input'])."</div>";
echo "<br class=\"clear_both\">";
?>
<br>
<div class="btn"><input type="button" value="保存" onClick="location='cms_index_contents_mng_section_title_edit_dbsave.php'"></div>
<div class="btn"><input type="button" value="戻る" onClick="location='cms_index_contents_mng_section_title_edit.php?mode=1&section_title_proc=<?php echo $_GET["section_title_proc"];?>&section_proc=<?php echo $_GET["section_proc"];?>&modoru=1'"></div>
<br class="clear_both">
</div><!-- end class="p_contents_subarea" -->
</div><!-- end id="mainarea" -->
</div> <!-- end id="container" -->
</body>
<script>
jQuery(function() {
	jQuery(".edit_area1").css("min-height","0px");
});
</script>
</html>
