<?php
/********************************************************************************
 * FineLP - Content management system for landing page 
 * Version          : 1.00
 * Full source code : http://lpsuper.com/hp/infotop006/
 * License          : GPLv2 or later
 * License URI      : http://www.gnu.org/licenses/gpl-2.0.html
 * Author           : Mitsuo Okudaira
 * Created          : 2019/08/30
 ********************************************************************************/
	ini_set("session.bug_compat_42", 0);
	ini_set("session.bug_compat_warn", 0);
	// セッションの復元
	session_start();
	require_once 'cms_access_check.php';		// 不正アクセスチェック
	require_once 'check_login_message.php';		// ログインチェック
	include 'function_cms.php';
	include 'src/function_cms2.php';
	$_SESSION['upload_name'] = NULL;
?>
<!DOCTYPE html>
<html>
<head>
<meta charset="UTF-8" >
<title>Content Management System｜ロゴの編集</title>
<meta name="description" content="finelpはランディングページ作成用CMSです。販売ページを簡単に作成できます。">
<link href="cssfiles/common.css" rel="stylesheet" type="text/css">
<link href="cssfiles/cms_common.css" rel="stylesheet" type="text/css">
<link href="cssfiles/cms_contents_page.css" rel="stylesheet" type="text/css">
<link href="cssfiles/index.css" rel="stylesheet" type="text/css">
<link href="cssfiles/wysiwyg.css" rel="stylesheet" type="text/css"><!-- レイアウト、書式等設定 -->
<script type="text/javascript" src="js/cms_proc.js"></script>
</head>
<body>
<div id="mainarea_contents_cms">
<div class="p_logo_edit_title">ロゴの編集</div>
<br class="clear_both"> 
<div class="edit_memo_left">　　ロゴは、あらかじめ作成した画像を選択するか、文字を入力することで設定できます。</div>
<br class="clear_both">
<div class="p_button_right">
<input type="button" value="画像を選択する" class="p_logo_edit_btn" onClick="location='cms_logo_img_sel.php'">
</div>
<br class="clear_both">
<div class="p_button_right" style="margin-top:5px;">
<input type="button" value="文字を入力する" class="p_logo_edit_btn" onClick="location='cms_logo_edit.php'">
</div>
<br class="clear_both">
<div class="p_button_modoru2"><input type="submit" value="戻る" onClick="return_reload_focus2();"></div>
</div> <!-- end id="small_container_left" -->
<script type="text/javascript">window.focus();</script>
</body>
</html>
