<?php
/********************************************************************************
 * FineLP - Content management system for landing page 
 * Version          : 1.00
 * Full source code : http://lpsuper.com/hp/infotop006/
 * License          : GPLv2 or later
 * License URI      : http://www.gnu.org/licenses/gpl-2.0.html
 * Author           : Mitsuo Okudaira
 * Created          : 2019/08/30
 ********************************************************************************/
	// セッション開始
	session_start();
	include("function_cms.php");
	$domain_name 		= domain_user();
	$page_title 		= "ランディングページの管理";
	// セッション変数を初期化
	$_SESSION = array();
	// セッションIDを破棄
	if (isset($_COOKIE[session_name()])) {
		setcookie(session_name(), '', time()-3600, '/');
	}
	// セッションを破棄
	session_destroy();
?>
<!DOCTYPE html>
<html>
<head>
<meta charset="UTF-8" >
<title>Content Management System｜ホームページの編集</title>
<meta name="description" content="finelpはランディングページ作成用CMSです。販売ページを簡単に作成できます。">
<link href="cssfiles/common.css" rel="stylesheet" type="text/css">
<link href="cssfiles/cms_common.css" rel="stylesheet" type="text/css">
<link href="cssfiles/cms_manager.css" rel="stylesheet" type="text/css">
</head>
<body>
<div id="container_cms">
<div id="cms_header">
Ｆｉｎｅ<span class="aka4">ＬＰ</span>（ファインエルピー）
</div><!-- end id="cms_header" -->
<div  class="p_contentstitle"><?php echo $page_title.'('.$domain_name;?>）</div>
<br class="clear_both">
</div>
<div id="mainarea_contents_cms">
<div id="contents_page"><!-- CMSコンテンツ start -->
<div id="mainarea"><!-- メインコンテンツ start -->
<div class="p_contents_subarea">
<div class="logout_message">ログアウトしました。</div>
<br><br>
<div class="btn_kadomaru" style="width:160px;text-align:center;"><a href="../">ホームページへ行く</a></div>
<br class="clear_both">
<div class="btn_kadomaru" style="width:110px;text-align:center;"><a href="../login.php">ログインする</a></div>
</div>
</div><!-- end id="mainarea"-->
</div><!-- end id="contents_page"-->
</div><!-- end id="container"-->
</body>
</html>
