<?php
/********************************************************************************
 * FineLP - Content management system for landing page 
 * Version          : 1.00
 * Full source code : http://lpsuper.com/hp/infotop006/
 * License          : GPLv2 or later
 * License URI      : http://www.gnu.org/licenses/gpl-2.0.html
 * Author           : Mitsuo Okudaira
 * Created          : 2019/08/30
 ********************************************************************************/
	ini_set("session.bug_compat_42", 0);
	ini_set("session.bug_compat_warn", 0);
	// セッションの復元
	session_start();
	require_once 'cms_access_check.php';		// 不正アクセスチェック
	require_once 'check_login_message.php';		// ログインチェック
	include 'function_pdo.php';
	include 'function_pdo_shop.php';
	include 'function_cms.php';
	// DBへの接続（存在しない場合はDB、TABLEを作成）
	$conn 		= init_sqlite();
	$connshp 	= init_sqlite_shop();			// ネットショップ関連TABLEを作成、関数を定義
	$uri_param 	= explode( '?', $_SERVER['REQUEST_URI'] );
	$_SESSION["uri_user_mng"] = $uri_param[0]."?mode=1";
	$domain_name = domain_user();
	$_SESSION["proc"] = NULL;
?>
<!DOCTYPE html>
<html>
<head>
<meta charset="UTF-8" >
<title>Content Management System｜メール定型文管理</title>
<meta name="description" content="finelpはランディングページ作成用CMSです。販売ページを簡単に作成できます。">
<link href="cssfiles/common.css" rel="stylesheet" type="text/css">
<link href="cssfiles/cms_common.css" rel="stylesheet" type="text/css">
<link href="cssfiles/cms_contents_page.css" rel="stylesheet" type="text/css">
<link href="cssfiles/wysiwyg.css" rel="stylesheet" type="text/css"><!-- レイアウト、書式等設定 -->
<link href="cssfiles/cms_manager.css" rel="stylesheet" type="text/css">
<script type="text/javascript" src="js/cms_proc.js"></script>
</head>
<body>
<div id="mainarea_contents_cms">
<div class="p_contentstitle">メール定型文選択</div>
<br class="clear_both">
<div class="p_proc_area_manager">
<div class="p_proc_title_manager">定型文の選択</div>
<div class="p_proc_area_manager_in">
<p>タイトルをクリックし、メール本文に使用する定型文を選択してください。</p>
<br class="clear_both">
</div>
</div>
<br class="clear_both">
<div class="p_proc_area_manager4">
<div>　　タイトル　　　　　　　　　　　　　</div>
<?php
// 全データの取得
$sql = "SELECT * FROM mail_at_once_honbun_teikeibun ORDER BY orderno DESC";
$stmt = $connshp->prepare($sql);
$stmt->execute();
while ($row = $stmt->fetch(PDO::FETCH_ASSOC)) {
		echo '<div class="p_border">';
		echo '<div><a href="cms_manager_mail_at_once_teikeibun_sel_set.php?id='.$row["id"].'" title="選択">'. $row["title"] . '</a></div>';
		echo '</div>';
		echo '<br class="clear_both">';	
}
?>
<br>
<div class="p_button_modoru2"><input type="button" value="戻る" title="戻る" onClick="return_focus2();"></div>
</div>
</div>
<script type="text/javascript">window.focus();</script>
</body>
</html>
