<?php
/********************************************************************************
 * FineLP - Content management system for landing page 
 * Version          : 1.00
 * Full source code : http://lpsuper.com/hp/infotop006/
 * License          : GPLv2 or later
 * License URI      : http://www.gnu.org/licenses/gpl-2.0.html
 * Author           : Mitsuo Okudaira
 * Created          : 2019/08/30
 ********************************************************************************/
	// セッションの復元
	session_start();
	// ログインチェック
	require_once 'check_login_message.php';
	include 'function_pdo.php';
	// DBへの接続（存在しない場合はDB、TABLEを作成）
	$conn = init_sqlite();
	$id						= $_GET['id'];
	$proc 					= $_GET['proc'];
	$_SESSION["errmsg"]		= NULL;
	$_SESSION['procmsg'] 	= NULL;
	switch ($proc) {
		case 'up':																// 対象のボタンを上に移動する。
			// クリックされたボタンの上側に項目があるかをチェックする。
			// クリックされたボタンの項目のslide_no、idを取得する。
			$sql0 = "SELECT * FROM img_slide1 where id = ".$id;
			$stmt = $conn->prepare($sql0);
			$stmt->execute();
			$row0 = $stmt->fetch(PDO::FETCH_ASSOC);
			
			$sql = "SELECT * FROM img_slide1 where (slide_no < ".$row0["slide_no"].")";		// 上側にカテゴリがあるかをチェックする
			$stmt = $conn->prepare($sql);
			$stmt->execute();
			if (!($row = $stmt->fetch(PDO::FETCH_ASSOC))) {
				$_SESSION['errmsg'] = "上端の項目は上には移動出来ません！";
			} else {
				//// ボタンを上に移動する。
				// 指定されたボタンの上のボタンを取得する。
				$sql = "SELECT * FROM img_slide1 where (slide_no < ".$row0["slide_no"].") ORDER BY slide_no DESC";	// 処理対象のボタンのデータのみを選択
				// １個上側ボタンを下に移動する。
				$stmt = $conn->prepare($sql);
				$stmt->execute();
				$row = $stmt->fetch(PDO::FETCH_ASSOC);
				$slide_no = $row0["slide_no"];
				$sql_tmp = "update img_slide1 set
								slide_no			= :slide_no,
								update_time 		= :update_time
								where id			= :id";
					$stmt = $conn->prepare($sql_tmp);
					$stmt->bindParam(":id", $row['id']);
					$stmt->bindParam(":slide_no", $slide_no);
					//更新日時
					$time 			= time();
					$update_time 	= date('Y/m/d H:i:s', $time);
					$stmt->bindParam(":update_time", $update_time);
					$stmt->execute();
				// 指定されたボタンを上に移動する。
				$slide_no = $row["slide_no"];					// １個上側ボタンの元のslide_noをセットする。
				$sql_tmp = "update img_slide1 set
								slide_no			= :slide_no,
								update_time 		= :update_time
								where id			= :id";
					$stmt = $conn->prepare($sql_tmp);
					$stmt->bindParam(":id", $row0['id']);
					$stmt->bindParam(":slide_no", $slide_no);
					//更新日時
					$time 			= time();
					$update_time 	= date('Y/m/d H:i:s', $time);
					$stmt->bindParam(":update_time", $update_time);
					$stmt->execute();
			}
			break;
		case 'down':																// 対象のボタンを上に移動する。
			// クリックされたボタンの下側に項目があるかをチェックする。
			// クリックされたボタンの項目のslide_no、idを取得する。
			$sql0 = "SELECT * FROM img_slide1 where id = ".$id;
			$stmt = $conn->prepare($sql0);
			$stmt->execute();
			$row0 = $stmt->fetch(PDO::FETCH_ASSOC);
			
			$sql = "SELECT * FROM img_slide1 where (slide_no > ".$row0["slide_no"].")";		// 上側にボタンがあるかをチェックする
			$stmt = $conn->prepare($sql);
			$stmt->execute();
			if (!($row = $stmt->fetch(PDO::FETCH_ASSOC))) {
				$_SESSION['errmsg'] = "下端の項目は下には移動出来ません！";
			} else {
				//// ボタンを下に移動する。
				// 指定されたボタンの下のボタンを取得する。
				$sql = "SELECT * FROM img_slide1 where (slide_no > ".$row0["slide_no"].") ORDER BY slide_no ASC";	// 処理対象のボタンのデータのみを選択
				// １個上側ボタンを上に移動する。
				$stmt = $conn->prepare($sql);
				$stmt->execute();
				$row = $stmt->fetch(PDO::FETCH_ASSOC);
				$slide_no = $row0["slide_no"];
				$sql_tmp = "update img_slide1 set
								slide_no			= :slide_no,
								update_time 		= :update_time
								where id			= :id";
					$stmt = $conn->prepare($sql_tmp);
					$stmt->bindParam(":id", $row['id']);
					$stmt->bindParam(":slide_no", $slide_no);
					//更新日時
					$time 			= time();
					$update_time 	= date('Y/m/d H:i:s', $time);
					$stmt->bindParam(":update_time", $update_time);
					$stmt->execute();
				
				// 指定されたボタンを上に移動する。
				$slide_no = $row["slide_no"];					// １個上側ボタンの元のslide_noをセットする。
				$sql_tmp = "update img_slide1 set
								slide_no			= :slide_no,
								update_time 		= :update_time
								where id			= :id";
					$stmt = $conn->prepare($sql_tmp);
					$stmt->bindParam(":id", $row0['id']);
					$stmt->bindParam(":slide_no", $slide_no);
					//更新日時
					$time 			= time();
					$update_time 	= date('Y/m/d H:i:s', $time);
					$stmt->bindParam(":update_time", $update_time);
					$stmt->execute();
			}
			break;
	}
	header('Location: cms_slide1_mng.php');
?>
