<?php
/********************************************************************************
 * FineLP - Content management system for landing page 
 * Version          : 1.00
 * Full source code : http://lpsuper.com/hp/infotop006/
 * License          : GPLv2 or later
 * License URI      : http://www.gnu.org/licenses/gpl-2.0.html
 * Author           : Mitsuo Okudaira
 * Created          : 2019/08/30
 ********************************************************************************/
	ini_set("session.bug_compat_42", 0);
	ini_set("session.bug_compat_warn", 0);
	// セッションの復元
	session_start();
	require_once 'cms_access_check.php';		// 不正アクセスチェック
	require_once 'check_login_message.php';		// ログインチェック
	include 'function_pdo.php';
	include 'function_cms.php';
	include 'src/function_cms2.php';
	// DBへの接続（存在しない場合はDB、TABLEを作成）
	$conn = init_sqlite();
	$conn2 = init_sqlite2();
	$_SESSION["HTTP_USER_AGENT"] 		= $_SERVER['HTTP_USER_AGENT'];
	if (!($_GET['modoru'] || $_GET["editerr"])) {			//記事管理メニューページから遷移した場合
	  	$_SESSION['pos']		= $_GET['pos'];
		$_SESSION['process']	= $_GET['proc'];
		$_SESSION['sel_id'] 	= $_GET['sel_id'];
	} else {
	}
	$sqlw = "SELECT count(*) cnt FROM img_slide1";
    $stmt = $conn->prepare($sqlw);
    $stmt->execute();
    $roww = $stmt->fetch(PDO::FETCH_ASSOC);
	$img_cntw = $roww["cnt"];
	if ($_GET['proc'] == "add" && $img_cntw >= 8) {
		$_SESSION['adderrmsg'] = "スライドは既に8枚ありますので追加できません！";
		print "<script type=\"text/javascript\">window.opener.location.reload();</script>";	// 親ページを更新する。
		print "<script type=\"text/javascript\">window.opener.focus();</script>";			// 親ページを前面に表示する。
		print "<script type=\"text/javascript\">window.open(\"about:blank\",\"_self\").close();</script>";	// 自分自身を閉じる。
		exit;
	} else {
		$_SESSION['adderrmsg'] = NULL;
	}
	$laypage_id = $page_id;
	$uri_param 	= explode( '?', $_SERVER['REQUEST_URI'] );
	$_SESSION["uri_slide1_edit"] 				= $uri_param[0]."?proc=".$_GET['proc'];
	$_SESSION['slide1_sell_errmsg'] 			= "";	// 初期化
	$_SESSION["img_using_table_name_col_id"]	= "img_slide1_0";								// サーバー画像削除可能とするため
	$_SESSION['upload_name']					= NULL;
?>
<!DOCTYPE html>
<html>
<head>
<meta charset="UTF-8" >
<title>Content Management System｜動画スライド１の編集</title>
<meta name="description" content="finelpはランディングページ作成用CMSです。販売ページを簡単に作成できます。">
<link href="cssfiles/common.css" rel="stylesheet" type="text/css">
<link href="cssfiles/cms_common.css" rel="stylesheet" type="text/css">
<link href="cssfiles/index.css" rel="stylesheet" type="text/css">
<link href="cssfiles/cms_slide1_mng.css" rel="stylesheet" type="text/css">
<link href="cssfiles/cms_common_contents_wysiwyg.css" rel="stylesheet" type="text/css">
<link href="cssfiles/wysiwyg.css" rel="stylesheet" type="text/css"><!-- レイアウト、書式等設定 -->
<script type="text/javascript" src="jQuery/jquery-3.2.1.min.js"></script>
<script src="wColorPicker-2.1.7/wColorPicker.min.js"></script>
<link rel="Stylesheet" type="text/css" href="wColorPicker-2.1.7/wColorPicker.min.css">
<script src="js/cms_color_for_wColorPicker.js"></script>
<script type="text/javascript" src="js/lightbox.js"></script>
<script type="text/javascript" src="js/cms_proc.js"></script>
</head>

<body>
<div id="container_slide">
<?php
$_SESSION['repeat'] = "off";	
if ($_GET['proc'] == "add") {
  echo "<div class=\"p_edit_title\">ス ラ イ ド 追 加 ペ ー ジ</div>";
  echo "<br class=\"clear_both\">";
  echo "<p class=\"p_edit_guide\">　以下の項目を入力後、ページ下の「確認」をクリックしてください。</p>";
}else {
  echo "<div class=\"p_edit_title\">ス ラ イ ド 修 正 ペ ー ジ</div>";
  echo "<br class=\"clear_both\">";
  echo "<p class=\"p_edit_guide\">　以下の項目を修正後、ページ下の「確認」をクリックしてください。</p>";
}

// 記事管理メニューページで選択された記事のidでデータを読む。
if ($_SESSION['process'] == "upd") {			//記事管理メニューページから修正で遷移した場合
	$sql = "SELECT * FROM img_slide1 where (id = ". $_SESSION['sel_id'].")";
	//echo "sqledit=".$sql;
    $stmt = $conn->prepare($sql);
    $stmt->execute();
    $row = $stmt->fetch(PDO::FETCH_ASSOC);
}
// スライド背景画像
echo "<div class=\"p_item_title\"><span class='p_edit_pre'>■</span>スライド背景画像</div>";
echo "<br class=\"clear_both\">";
echo "<div class=\"p_header_title2\">　スライド背景画像を設定する場合は[テンプレート画像から選択]または[ファイルを選択]（/[参照]）をクリックして<br>　テンプレート画像またはＰＣ上の画像を選択後[選択画像確認]をクリックてください。
<br>　※画像サイズは横幅を基準に横960px × 縦320pxで自動調整されます。<br>　（縦の高さがはみ出した部分は下がカットされ、足りない場合は下に余白ができます。）</div>";
echo "<br class=\"clear_both\">";
echo "<div class=\"p_current_img_area\">";
if ($_SESSION['process'] == "upd") {
	if ($row["img1_url"] <> NULL) echo "<span class=\"p_item_title\">現在の画像</span><br><div class=\"p_current_img\"><img src=\"".$row["img1_url"]."\" class=\"p_img_property\" alt=\"イメージ\"></div>";
	$_SESSION['upload_name_slide'] = $row["img1_url"];
}else{
	echo "<span class=\"p_item_title\">現在の画像</span><br>（なし）";
}
echo "</div>";
echo "<br class=\"clear_both\">";

echo "<form action=\"cms_slide1_edit_img_kakunin.php\" target=\"inline\" method=\"POST\" enctype=\"multipart/form-data\">";
echo "<div class=\"p_input_img\" style=\"margin-bottom:4px;\">";
echo '<a href="cms_slide1_img_sell.php" target="_blank"><div class="basic_btn6">テンプレート画像から選択</div></a>';	
echo "</div>";
echo '<br class="clear_both">';
echo "<div class=\"p_input_img\">PCの画像から選択 <input type=\"file\" name=\"filename\" size=\"50\">　<input type=\"submit\" value=\"選択画像確認\"></div>";	// value値は設定できない
echo "<iframe name=\"inline\" src=\"cms_slide1_edit_img_kakunin.php\" frameborder=\"0\" marginheight=\"0\" marginwidth=\"0\" width=\"964\" height=\"324\" scrolling=\"auto\" allowtransparency=\"true\">";
echo "<p>このページではインラインフレームを使用しています。</p>";
echo "</iframe>";
echo "</form>";
echo "<form action=\"./cms_slide1_edit_kakunin.php\" method=\"POST\">";
if ($_GET['modoru'] || $_GET["editerr"]) {								// 確認画面から戻った場合
	$dsp_slide_title 	= $_SESSION['slide_title_input'];
	$dsp_img1_overtext 	= $_SESSION['dsp_img1_overtext_input'];
} else
if ($_SESSION['process'] == "upd") {				// 修正の場合
	//echo "修正";
	$dsp_slide_title 	= $row["slide_title"]; 	
	$dsp_img1_overtext 	= $row["img1_overtext"];
} else
if ($_SESSION['process'] == "add") {				// 追加の場合
	$dsp_slide_title 	= "";
	$dsp_img1_overtext 	= "";
}
// スライドタイトルを表示する。
echo "<div class=\"p_item_title\"><span class='p_edit_pre'>■</span>スライドタイトル（吹き出しの中に表示される文言）</div>";
echo "<br class=\"clear_both\">";
echo "<div class=\"p_float_left\">" . "<input name=\"slide_title_input\" value=\"" . $dsp_slide_title . "\"type=\"text\" size=\"52\"></div>";	//タイトルエリアの長さはsizeで指定
echo "<br class=\"clear_both\">";
echo "<br class=\"clear_both\">";
// オーバーコンテンツを表示する。
echo "<div class=\"p_item_title\"><span class='p_edit_pre'>■</span>オーバーコンテンツ（背景画像に重ねる内容）（<a href=\"javascript:helppopup();\"><img src=\"images/help.gif\" width=\"20\" height=\"20\" alt=\"ヘルプ\" class=\"help_icon\"></a>をクリックすると各ボタンの説明ページが表示されます。）</div>";
if ($_GET["editerr"]) {
	echo '<div class="errmsg">'.$_SESSION["editerrmsg"].'</div>';
	echo '<br class="clear_both">';
}
$_SESSION["slide1_edit"] = true;
$dsp_contents = $dsp_img1_overtext;
// ボタン表示有無設定(wysiwygeditorの使用箇所により表示するボタンを制限する)
$settings["fontsize"]				= 1;	// 【文字サイズ】ボタンを表示する。（1：表示、0：非表示）
$settings["fontname"]				= 1;	// 【フォント種類】ボタンを表示する。（1：表示、0：非表示）
$settings["bold"]					= 1;	// 【太字】ボタンを表示する。（1：表示、0：非表示）
$settings["underline"]				= 1;	// 【下線】ボタンを表示する。（1：表示、0：非表示）
$settings["strikethrough"]			= 1;	// 【消し線】ボタンを表示する。（1：表示、0：非表示）
$settings["forecolor"]				= 1;	// 【文字色】ボタンを表示する。（1：表示、0：非表示）
$settings["backcolor"]				= 1;	// 【文字背景色】ボタンを表示する。（1：表示、0：非表示）
$settings["justifycenter"]			= 1;	// 【中央揃え】ボタンを表示する。（1：表示、0：非表示）
$settings["justifyleft"]			= 1;	// 【左寄せ】ボタンを表示する。（1：表示、0：非表示）
$settings["justifyright"]			= 1;	// 【右寄せ】ボタンを表示する。（1：表示、0：非表示）
$settings["justifyfull"]			= 1;	// 【両端揃え】ボタンを表示する。（1：表示、0：非表示）
$settings["indent"]					= 1;	// 【字下げ】ボタンを表示する。（1：表示、0：非表示）
$settings["outdent"]				= 1;	// 【字上げ】ボタンを表示する。（1：表示、0：非表示）
$settings["chk_icon"]				= 1;	// 【チェックアイコン挿入】ボタンを表示する。（1：表示、0：非表示）
$settings["icon"]					= 1;	// 【絵文字・アイコン挿入】ボタンを表示する。（1：表示、0：非表示）
$settings["picture"]				= 1;	// 【パソコン内の画像挿入】ボタンを表示する。（1：表示、0：非表示）
$settings["hyperlink"]				= 1;	// 【リンクＵＲＬ挿入】ボタンを表示する。（1：表示、0：非表示）
$settings["banner"]					= 1;	// 【バナー/アフィリエイトリンク/２ティアリンク挿入】ボタンを表示する。（1：表示、0：非表示）
$settings["kessai"]					= 1;	// 【インフォトップ決済リンク挿入】ボタンを表示する。（1：表示、0：非表示）
$settings["imglink"]				= 1;	// 【画像リンク挿入】ボタンを表示する。（1：表示、0：非表示）
$settings["pdflink"]				= 0;	// 【ＰＤＦ＆リンク挿入】ボタンを表示する。（1：表示、0：非表示）
$settings["ziplink"]				= 0;	// 【zip＆リンク挿入】ボタンを表示する。（1：表示、0：非表示）
$settings["youtube"]				= 1;	// 【YouTube動画挿入】ボタンを表示する。（1：表示、0：非表示）
$settings["table"]					= 1;	// 【表挿入】ボタンを表示する。（1：表示、0：非表示）
$settings["mailform"]				= 1;	// 【問合せフォーム】ボタンを表示する。（1：表示、0：非表示）
$settings["shop"]					= 0;	// 【ネットショップ商品挿入】ボタンを表示する。（1：表示、0：非表示）
$settings["sns"]					= 0;	// 【ＳＮＳボタン挿入】ボタンを表示する。（1：表示、0：非表示）
$script_path						= script_path();
$script_path_array					= explode("/", $script_path);
$cnt								= count($script_path_array);
$sns_req_url_dir					= NULL;
for($i=0;$i<$cnt-1;$i++){
	$sns_req_url_dir .= $script_path_array[$i]."/";
}
$settings["sns_req_url"]			= $sns_req_url_dir.'sample_display.php';	// SNSボタンを配置するWEBページのURL　※※※＜＜＜表示するＷＥＢページのURLに変更してください＞＞＞※※※
$settings["gmap"]					= 1;	// 【地図(GoogleMap)挿入】ボタンを表示する。（1：表示、0：非表示）
$settings["area_color"]				= 1;	// 【全体背景色設定】ボタンを表示する。（1：表示、0：非表示）
$settings["clear_all"]				= 1;	// 【編集エリア全クリア】ボタンを表示する。（1：表示、0：非表示）
$settings["clear_select_format"]	= 1;	// 【選択文字の書式クリア】ボタンを表示する。（1：表示、0：非表示）
$settings["clear_format"]			= 1;	// 【全文字列の書式クリア】ボタンを表示する。（1：表示、0：非表示）
$settings["help"]					= 1;	// 【ヘルプ】ボタンを表示する。（1：表示、0：非表示）
$contents			= $dsp_contents;
$textarea_name 		= "img1_overtext_input";		//  POST先で$_POST["htmlarea_input"]で受け取る
$submit_id1 		= "confirm1";			//  submitボタン（確認ボタン）のidセレクター（存在しない場合はダミーのNULLを指定する）
$submit_id2 		= "confirm2";			//  submitボタンが２つある場合（保存ボタン）、２つ目のidセレクター（存在しない場合はダミーのNULLを指定する）
$area_width 		= 960;					// 編集エリアの横幅（px値）
$min_height			= 320;					// 編集エリアの縦幅の最小値（px値）
$default_font_size	= 18;					// 編集エリアの中身の文字の初期サイズ（px値）
editor($settings, $contents, $textarea_name, $submit_id1, $submit_id2, $area_width, $min_height, $default_font_size);
echo "<br class=\"clear_both\">";
echo "<div class=\"btn\" style=\"top:10px;z-index:500000;\"><input type=\"submit\" id=\"confirm1\" value=\"確認\" name=\"proc\"></div>";
echo "<div class=\"btn\" style=\"top:10px;z-index:500000;\"><input type=\"submit\" value=\"戻る\" name=\"proc\"></div>";
?>
<br class="clear_both"><br>
</div><!-- end id="container_slide" -->
<script type="text/javascript">window.focus();</script>
<script type="text/javascript">resizeTo(1450,1040);</script>
</body>
</html>
