<?php
/********************************************************************************
 * FineLP - Content management system for landing page 
 * Version          : 1.00
 * Full source code : http://lpsuper.com/hp/infotop006/
 * License          : GPLv2 or later
 * License URI      : http://www.gnu.org/licenses/gpl-2.0.html
 * Author           : Mitsuo Okudaira
 * Created          : 2019/08/30
 ********************************************************************************/
	ini_set("session.bug_compat_42", 0);
	ini_set("session.bug_compat_warn", 0);
	// セッションの復元
	session_start();
	require_once 'cms_access_check.php';		// 不正アクセスチェック
	require_once 'check_login_message.php';		// ログインチェック
	if ($_POST['proc'] == "戻る") {
		print "<script type=\"text/javascript\">window.opener.location.reload();</script>";	// 親ページを更新する。
		print "<script type=\"text/javascript\">window.opener.focus();</script>";			// 親ページを前面に表示する。
		print "<script type=\"text/javascript\">window.open(\"about:blank\",\"_self\").close();</script>";	// 自分自身を閉じる。
		exit;
	}
	include 'function_pdo.php';
	include 'function_cms.php';
	// DBへの接続（存在しない場合はDB、TABLEを作成）
	$conn = init_sqlite();
	
	if (!$_GET["modoru"]) {
		$slide_title_input 				= htmlspecialchars($_POST['slide_title_input'], ENT_QUOTES);
		$_SESSION['slide_title_input']	= $slide_title_input;
	}
	if (!$_GET["modoru"]) {
		$db_contents = $_POST['img1_overtext_input'];	// 追加の場合
		$_SESSION['dsp_img1_overtext_input']	= $db_contents;
	}
?>
<!DOCTYPE html>
<html>
<head>
<meta charset="UTF-8" >
<title>Content Management System｜動画スライド１の編集</title>
<meta name="description" content="finelpはランディングページ作成用CMSです。販売ページを簡単に作成できます。">
<link href="cssfiles/common.css" rel="stylesheet" type="text/css">
<link href="cssfiles/cms_common.css" rel="stylesheet" type="text/css">
<link href="cssfiles/index.css" rel="stylesheet" type="text/css">
<link href="cssfiles/wysiwyg.css" rel="stylesheet" type="text/css"><!-- レイアウト、書式等設定 -->
<link href="cssfiles/cms_slide1_mng.css" rel="stylesheet" type="text/css">
<?php
	$sqlw = "SELECT count(*) cnt FROM img_slide1";
    $stmt = $conn->prepare($sqlw);
    $stmt->execute();
    $roww = $stmt->fetch(PDO::FETCH_ASSOC);
	$img_cntw = $roww["cnt"];
	if ($_SESSION['process'] == "add") $img_cntw = $img_cntw + 1;
	echo '<link href=\"cssfiles/p_small_area_w$img_cntw.css\" rel=\"stylesheet\" type=\"text/css\">';
?>
<!-- for Lightbox 2 css start -->
<link rel="stylesheet" href="css/lightbox.css" type="text/css" media="screen" >
<!-- for Lightbox 2 css end -->
<!-- html5対応(IE) start-->
<!--[if lt IE 9]>
<script src="js_common/html5shiv.js"></script>
<![endif]-->
<!-- html5対応(IE) end-->
<!-- for Lightbox 2 start -->
<script src="jQuery/jquery-3.2.1.min.js"></script><!-- javascriptライブラリ -->
<script src="jQuery/jquery.easing.1.3.js"></script>
<script src="js/lightbox.min.js"></script>
<!-- for Lightbox 2 end -->
</head>
<body>
<div id="container_slide">
<div class="p_cms_contents_title">スライド１編集内容の確認</div>
<br class="clear_both">
<div class="p_edit_guide"><p>　ご確認後、ページ下の「保存 」をクリックしてください。<br>
　オーバーコンテンツの表示位置を調整する場合は[オーバーコンテンツ位置調整]ボタンをクリックしてください。</p></div>
<?php
$padding_left	 	= 0;
$padding_top 		= 0;
if ($_SESSION['process'] == "upd") {
	$sql = "SELECT * FROM img_slide1 where id =" . "\"" . $_SESSION['sel_id'] . "\"";
	//echo "sql=".$sql;						// debug
    $stmt = $conn->prepare($sql);
    $stmt->execute();
    if ($row = $stmt->fetch(PDO::FETCH_ASSOC)){
		$sql = "SELECT * FROM img_slide1_over_adjust where (img_slide1_id = ".$row["id"].")";
		//echo "<br>sql=".$sql;		// debug
		$stmt = $conn->prepare($sql);
		$stmt->execute();
		if ($rowpg = $stmt->fetch(PDO::FETCH_ASSOC)) {
			$padding_left	 	= $rowpg["padding_left"];
			$padding_top 		= $rowpg["padding_top"];
		}
	}
}
$img_file = NULL;
if ($_SESSION['upload_name_slide'] <> NULL) {
	$img_file = $_SESSION['upload_name_slide'];
}else
if ($row["img1_url"] <> NULL && $row["img1_url"]<>""){
	$img_file = $_SESSION['upload_name_slide'];
}
$_SESSION['upload_name_slide'] = $img_file;
echo "<div class=\"p_slide_contents_area\">";
	$dsp_contents = link_rel_to_abs($img_file);
	echo "<div class=\"p_img_box\"><img src=\"".$dsp_contents."\" class=\"p_img_property\" alt=\"イメージ\"></div>";
	$dsp_contents = link_rel_to_abs($_SESSION['dsp_img1_overtext_input']);
	$style_adjust = 'style="padding-left:'.$padding_left.'px;padding-top:'.$padding_top.'px;"';
	echo "<div class=\"p_column_text\" $style_adjust>".$dsp_contents."</div>";
	echo "<div class=\"p_small_area\">";
	echo "<div id=\"p_small_area_w\">";
	$cnt2 = 1;
	if ($_SESSION['process'] == "add") {
		$slide_cnt = $_SESSION["cnt0"] + 1;
	}else{
		$slide_cnt = $_SESSION["cnt0"];
	}
	//echo '***$_SESSION["cnt0"]='.$_SESSION["cnt0"];		// debug
	while ($cnt2 <= $slide_cnt) {
		//echo "while";		// debug
		echo "<div class=\"p_column_k\" id=\"p_column0_k\">";
		if ($_SESSION['process'] == "add") $_SESSION['pos'] = $img_cntw;
		//echo '<br><br><br><br><br>@@@$cnt2='.$cnt2.'@$_SESSION["pos"]='.$_SESSION['pos'];	// debug
		if ($cnt2 == $_SESSION['pos']) {
			echo "<div class=\"p_img_on\" id=\"p_img_on0\">";
				echo "<div class=\"p_hukidasi_area\">　";						// エリア確保のため全角スペースを入れる
				echo "<p class=\"p_hukidasi\">".$_SESSION['slide_title_input']."</p>";
				echo "</div>";
			echo "</div>";
		}else{
			echo "<div class=\"p_img_off\" id=\"p_img_off0\">";
			echo "</div>";
		}
		echo "</div>";
		$cnt2 = $cnt2 + 1;
	}
	echo "</div>";
	echo "</div>";
	
echo "</div>";

?>
<div class="btn_area">
<div style="margin-top:10px;padding-left:200px;float:left;"><input type="submit" value="保存" onClick="location='cms_slide1_edit_dbsave.php'"></div>
<div style="margin-top:10px;padding-left:40px;float:left;"><input type="button" value="オーバーコンテンツ位置調整" onClick="location='cms_slide1_over_contents_adjust.php?proc=<?php echo $_SESSION['process'];?>&img_slide1_id=<?php echo $_SESSION['sel_id'];?>'"></div>
<div style="margin-top:10px;padding-left:40px;float:left;"><input type="submit" value="戻る" onClick="location='<?php echo $_SESSION["uri_slide1_edit"]; ?>&amp;modoru=1'"></div>
</div>
</div><!-- end id="container_slide" -->
</body>
</html>
