<?php
/********************************************************************************
 * FineLP - Content management system for landing page 
 * Version          : 1.00
 * Full source code : http://lpsuper.com/hp/infotop006/
 * License          : GPLv2 or later
 * License URI      : http://www.gnu.org/licenses/gpl-2.0.html
 * Author           : Mitsuo Okudaira
 * Created          : 2019/08/30
 ********************************************************************************/
/***********************************************************************************************
「function_pdo.php」と「function_pdo_ipn.php」内で使用
	$table_name:"section_cta_proc_result_data_ipn"又は"section_cta_proc_result_data"
	$dbh:$connipn又は$conn
************************************************************************************************/
	$sql = "CREATE TABLE IF NOT EXISTS ".$table_name." (
				id 							INTEGER PRIMARY KEY AUTOINCREMENT,
				cta_data_id					INTEGER,
				cta_proc_data_id			INTEGER,
				paypal_txn_type				TEXT,
				subscr_id					TEXT,
				txn_id						TEXT,
				cta_proc_no					INTEGER,
				cta_btn_img_no				INTEGER,
				botton_name					TEXT,
				sohu_address_title			TEXT,
				dsp_name					TEXT,
				name						TEXT,
				dsp_name_kana				TEXT,
				name_kana					TEXT,
				dsp_yubin_no				TEXT,
				yubin_no					TEXT,
				dsp_todohuken				TEXT,
				todohuken					TEXT,
				dsp_city					TEXT,
				city						TEXT,
				dsp_areabanchi				TEXT,
				areabanchi					TEXT,
				dsp_tatemono				TEXT,
				tatemono					TEXT,
				dsp_e_mail					TEXT,
				e_mail						TEXT,
				dsp_tel_no					TEXT,
				tel_no						TEXT,
				dsp_seinengappi				TEXT,
				seinengappi					TEXT,
				dsp_seibetu					TEXT,
				seibetu						INTEGER,
				dsp_free1		 			TEXT,
				free1			 			TEXT,
				dsp_free2		 			TEXT,
				free2			 			TEXT,
				dsp_free3		 			TEXT,
				free3			 			TEXT,
				dsp_renraku					TEXT,
				renraku						TEXT,
				seikyu_address_title		TEXT,
				seikyu_dsp_kbn				INTEGER,
				dsp_sname					TEXT,
				sname						TEXT,
				dsp_sname_kana				TEXT,
				sname_kana					TEXT,
				dsp_syubin_no				TEXT,
				syubin_no					TEXT,
				dsp_stodohuken				TEXT,
				stodohuken					TEXT,
				dsp_scity					TEXT,
				scity						TEXT,
				dsp_sareabanchi				TEXT,
				sareabanchi					TEXT,
				dsp_statemono				TEXT,
				statemono					TEXT,
				dsp_se_mail					TEXT,
				se_mail						TEXT,
				dsp_stel_no					TEXT,
				stel_no						TEXT,
				item_service_name			TEXT,
				item_code					TEXT,
				price						INTEGER,
				price_name					TEXT,
				sales_volume_transaction	INTEGER,
				stock_chk					INTEGER,
				siharai_hoho				TEXT,
				muryo_kikan					INTEGER,
				muryo_kikan_unit			TEXT,
				gaibu_url					TEXT,
				mail_sent_result			INTEGER,
				toroku_day					TEXT,
				update_time 				TEXT NOT NULL
			)";
	$stmt = $dbh->prepare($sql);
	$stmt->execute();
	$sql = "CREATE INDEX IF NOT EXISTS idx1_".$table_name." on ".$table_name." (cta_data_id)";
	$stmt = $dbh->prepare($sql);
	$stmt->execute();
	$sql = "CREATE INDEX IF NOT EXISTS idx2_".$table_name." on ".$table_name." (cta_proc_data_id)";
	$stmt = $dbh->prepare($sql);
	$stmt->execute();
	$sql = "CREATE INDEX IF NOT EXISTS idx3_".$table_name." on ".$table_name." (subscr_id)";
	$stmt = $dbh->prepare($sql);
	$stmt->execute();
	$sql = "CREATE INDEX IF NOT EXISTS idx4_".$table_name." on ".$table_name." (txn_id)";
	$stmt = $dbh->prepare($sql);
	$stmt->execute();
	$sql = "CREATE INDEX IF NOT EXISTS idx5_".$table_name." on ".$table_name." (e_mail)";
	$stmt = $dbh->prepare($sql);
	$stmt->execute();
?>
