function countdown(complete_time) {
	var start_time 		= new Date();																// 現在時刻
	var end_time 		= new Date(complete_time);													// 終了時刻
	var nokori_time 	= end_time - start_time;													// 残り時間（ミリ秒）
	var one_d			= 24 * 60 * 60 * 1000;														// 1日（ミリ秒）
	var one_h			= 60 * 60 * 1000;															// 1時間（ミリ秒）
	var one_m			= 60 * 1000;																// 1分（ミリ秒）
	var one_s			= 1000;																		// 1秒（ミリ秒）
	var d 				= Math.floor(nokori_time / one_d); 											// 残り時間(日にち）
	var dd 				= ('00' + d).slice(-2);														// セロ埋め(2桁表示）
	var h 				= Math.floor((nokori_time - d * one_d) / one_h);							// 残り時間(分）
	var hh 				= ('00' + h).slice(-2);														// セロ埋め(2桁表示）
	var m 				= Math.floor((nokori_time - d * one_d - h * one_h) / one_m);				// 残り時間(分）
	var mm 				= ('00' + m).slice(-2);
	var s 				= Math.floor((nokori_time - d * one_d - h * one_h - m * one_m) / one_s);	// 残り時間(秒）
	var ss 				= ('00' + s).slice(-2);														// セロ埋め(2桁表示）
	
	if (nokori_time <= 0) dd = hh = mm = ss = '00';
	$("#nokori_time").text(dd + '日' + hh + '時間' + mm + '分' + ss + '秒');
	setTimeout(function() {countdown(complete_time);}, 1000);
}
