<?php
/********************************************************************************
 * FineLP - Content management system for landing page 
 * Version          : 1.00
 * Full source code : http://lpsuper.com/hp/infotop006/
 * License          : GPLv2 or later
 * License URI      : http://www.gnu.org/licenses/gpl-2.0.html
 * Author           : Mitsuo Okudaira
 * Created          : 2019/08/30
 ********************************************************************************/
	ini_set("session.bug_compat_42", 0);
	ini_set("session.bug_compat_warn", 0);
	// セッションの復元
	session_start();
	// ログインチェック
	require_once 'check_login_message.php';
	include 'function_pdo.php';
	include 'function_cms.php';
	// DBへの接続（存在しない場合はDB、TABLEを作成）
	$conn = init_sqlite();
	
	$_SESSION["req_title_free"] = $_SERVER['REQUEST_URI'];
	$uri_param = explode( '?', $_SERVER['REQUEST_URI'] );
	$header_img_dsp_form = $_POST["dsp_form"];
?>
<!DOCTYPE html>
<html>
<head>
<meta charset="UTF-8" >
<title>Content Management System｜ヘッダー画像の選択</title>
<meta name="description" content="finelpはランディングページ作成用CMSです。販売ページを簡単に作成できます。">
<link href="cssfiles/common.css" rel="stylesheet" type="text/css">
<link href="cssfiles/cms_common.css" rel="stylesheet" type="text/css">
<link href="cssfiles/cms_contents_page.css" rel="stylesheet" type="text/css">
<link href="cssfiles/wysiwyg.css" rel="stylesheet" type="text/css">
<script type="text/javascript" src="jQuery/jquery-3.2.1.min.js"></script>
<script type="text/javascript" src="js/cms_proc.js"></script>
</head>
<body>
<div id="container_cms_left">
<br>
<div class="item_title2">ヘッダー画像</div>
<br class="clear_both">
<div class="p_header_title2">　[参照]をクリックしてＰＣ上の画像を選択後<br>
　[選択画像確認]をクリックてください。</div>
<br class="clear_both">
<?php
$sql = "SELECT * FROM design_set";
$stmt = $conn->prepare($sql);
$stmt->execute();
$row = $stmt->fetch(PDO::FETCH_ASSOC);
if ($row["header_img_file"] <> NULL) {
	echo "<span class=\"p_header_title\">現在の画像</span><br>";
	echo '<div><img src="data/uploads/',$row["header_img_file"].'"></div>';
	
}else{
	echo "<span class=\"p_header_title\">現在の画像</span><br>（なし）";
}
echo "<br class=\"clear_both\">";
echo "<form action=\"cms_background_mng_img_kakunin.php\" target=\"inline\" method=\"POST\" enctype=\"multipart/form-data\">";
echo "<div class=\"p_input_img\"><input type=\"file\" name=\"filename\" size=\"50\"></div>";	// value値は設定できない
echo "<br class=\"clear_both\">";
echo "<div class=\"p_sel_img\"><input type=\"submit\" value=\"選択画像確認\"><br>";
echo "<iframe name=\"inline\" src=\"cms_background_mng_img_kakunin.php\" frameborder=\"0\" marginheight=\"0\" marginwidth=\"0\" width=\"1200\" height=\"300\" scrolling=\"auto\">";
echo "<p>このページではインラインフレームを使用しています。</p>";
echo "</iframe>";
echo "</div>";
echo "</form>";
echo "<br class=\"clear_both\">";
echo "<form action=\"cms_background_mng_img_input_kakunin.php\" method=\"POST\">";
echo "<input type=\"radio\" name=\"dsp_form\" value=\"1\" checked>画像を横に繰り返し表示<br>";
echo "<input type=\"radio\" name=\"dsp_form\" value=\"2\">画像を中央に表示";
echo "<br class=\"clear_both\"><br>";
?>
<div class="btn"><input type="submit" value="確認"></div>
<div class="btn"><input type="button" value="戻る" onClick="return_focus2();"></div>
</from>
</div>
</body>
<script type="text/javascript">window.focus();</script>
</html>
