<?php
/********************************************************************************
 * FineLP - Content management system for landing page 
 * Version          : 1.00
 * Full source code : http://lpsuper.com/hp/infotop006/
 * License          : GPLv2 or later
 * License URI      : http://www.gnu.org/licenses/gpl-2.0.html
 * Author           : Mitsuo Okudaira
 * Created          : 2019/08/30
 ********************************************************************************/
session_start();
include 'function_pdo.php';
include 'function_cms.php';
include 'src/function_cms2.php';
// DBへの接続（存在しない場合はDB、TABLEを作成）
$conn = init_sqlite();
$conn2 = init_sqlite2();

$header_text_input		= $_SESSION["header_text_input"];
$sql = "SELECT * FROM header_tbl";
$stmt = $conn->prepare($sql);
$stmt->execute();
if ($row = $stmt->fetch(PDO::FETCH_ASSOC)) {
	// 画像ファイル名を変更する。"img_slide1_0"
	$old_file_name_subsrt = "header_tbl_header_text_0_";
	$new_file_name_subsrt = "header_tbl_header_text_". $row["id"]."_";
	// DB上の画像ファイル名を変更
	$header_text_input = str_replace($old_file_name_subsrt, $new_file_name_subsrt, $header_text_input);

	$id 			= $row["id"];
	$sql_tmp = "update header_tbl set 
					header_text			= :header_text,
					text_padding_top	= :text_padding_top,
					text_padding_left	= :text_padding_left,
					update_time 		= :update_time
					where id			= :id";
	$header_text		= $header_text_input;
	$text_padding_top	= $_POST["padding_top_input"];
	$text_padding_left	= $_POST["padding_left_input"];
	
	$stmt = $conn->prepare($sql_tmp);
	$stmt->bindParam(":id", $id);
	$stmt->bindParam(":header_text", $header_text);
	$stmt->bindParam(":text_padding_top", $text_padding_top);
	$stmt->bindParam(":text_padding_left", $text_padding_left);
	//更新日時
	$time 			= time();
	$update_time 	= date('Y/m/d H:i:s', $time);
	$stmt->bindParam(":update_time", $update_time);
	$stmt->execute();
	//**********************************************************
	// 記事中に存在しない画像ファイルをサーバーから削除する。
	//**********************************************************
	$db_proc				= "upd";
	$contents 				= $header_text_input;
	$img_using_table_name	= "header_tbl_header_text";
	$img_using_table_id		= $row["id"];
	upload_img_del($conn2, $db_proc, $contents, $img_using_table_name, $img_using_table_id);
}else{
	$logoimg_url 		= NULL;
	$logoname			= NULL;
	$logo_padding_top 	= 0;
	$logo_padding_left	= 0;
	$header_text		= $header_text_input;
	$text_padding_top	= 0;
	$text_padding_left	= 0;
	//$id = insert_header_tbl($conn, $logoimg_url, $logoname, $header_text);
	$id = insert_header_tbl($conn, $logoimg_url, $logoname, $logo_padding_top, $logo_padding_left, $header_text, $text_padding_top, $text_padding_left);
	// DB上の画像ファイル名を変更する。"contents_access_map_data_0"
	$sql = "SELECT * FROM header_tbl where (id = ". $id.")";
	echo "<br>sqldbsave=".$sql;		// debug
    $stmt = $conn->prepare($sql);
    $stmt->execute();
    if ($row = $stmt->fetch(PDO::FETCH_ASSOC)) {
		echo "<br>str_replace";		// debug
		$old_file_name_subsrt = "header_tbl_header_text_0_";
		$new_file_name_subsrt = "header_tbl_header_text_". $row["id"]."_";
		// DB上の画像ファイル名を変更
		$header_text = str_replace($old_file_name_subsrt, $new_file_name_subsrt, $row["header_text"]);
		update_header_tbl($conn, $row["id"], $logoimg_url, $logoname, $logo_padding_top, $logo_padding_left, $header_text, $text_padding_top, $text_padding_left);
		//**********************************************************
		// 記事中に存在しない画像ファイルをサーバーから削除する。
		//**********************************************************
		$db_proc				= "add";
		$contents 				= $header_text;
		$img_using_table_name	= "header_tbl_header_text";
		$img_using_table_id		= $row["id"];
		upload_img_del($conn2, $db_proc, $contents, $img_using_table_name, $img_using_table_id);
	}
}
print "<script type=\"text/javascript\">window.opener.location.reload();</script>";	// 親ページを更新する。
print "<script type=\"text/javascript\">window.opener.focus();</script>";			// 親ページを前面に表示する。
print "<script type=\"text/javascript\">window.open(\"about:blank\",\"_self\").close();</script>";	// 自分自身を閉じる。

?>
