<?php
/********************************************************************************
 * FineLP - Content management system for landing page 
 * Version          : 1.00
 * Full source code : http://lpsuper.com/hp/infotop006/
 * License          : GPLv2 or later
 * License URI      : http://www.gnu.org/licenses/gpl-2.0.html
 * Author           : Mitsuo Okudaira
 * Created          : 2019/08/30
 ********************************************************************************/
	// セッションの生成
	session_start();
	include 'function_pdo.php';
	include 'function_cms.php';
	// DBへの接続（存在しない場合はDB、TABLEを作成）
	$conn = init_sqlite();
	//echo "sel_id=" . $_GET['sel_id'];
	$section_id	= $_GET['sel_id'];
	// セクションタイトルを削除する。
	$section_title	= NULL;
	$title_color	= NULL;
	$title_img_no	= 0;
	$title_img_file	= NULL;
	$sql_tmp = "update section set 
					section_title			= :section_title,
					title_color				= :title_color,
					title_img_no			= :title_img_no,
					title_img_file			= :title_img_file,
					update_time 			= :update_time
					where id				= :id";
	$stmt = $conn->prepare($sql_tmp);
	$stmt->bindParam(":id", $section_id);
	$stmt->bindParam(":section_title", $section_title);
	$stmt->bindParam(":title_color", $title_color);
	$stmt->bindParam(":title_img_no", $title_img_no);
	$stmt->bindParam(":title_img_file", $title_img_file);
	//更新日時
	$time 			= time();
	$update_time 	= date('Y/m/d H:i:s', $time);
	$stmt->bindParam(":update_time", $update_time);
	$stmt->execute();

	// sectionのタイトルがNULLで、sectionに紐付く他のテーブルデータが存在しない場合にsectionデータを削除する。
	$section_del = chk_section_del($conn, $section_id);
	
	if ($section_del) {
		print '<script type="text/javascript">window.opener.location.reload();</script>';				// 親ページを更新する。
		print '<script type="text/javascript">window.opener.focus();</script>';							// 親ページを前面に表示する。
		print '<script type="text/javascript">window.open("about:blank","_self").close();</script>';	// 自分自身を閉じる。
	}else{
		$loc = "Location:cms_index_contents_mng_section.php?mode=1&modoru=1";
		header($loc);
	}
?>