<?php
/********************************************************************************
 * FineLP - Content management system for landing page 
 * Version          : 1.00
 * Full source code : http://lpsuper.com/hp/infotop006/
 * License          : GPLv2 or later
 * License URI      : http://www.gnu.org/licenses/gpl-2.0.html
 * Author           : Mitsuo Okudaira
 * Created          : 2019/08/30
 ********************************************************************************/
	ini_set("session.bug_compat_42", 0);
	ini_set("session.bug_compat_warn", 0);
	// セッションの復元
	session_start();
	// ログインチェック
	require_once 'check_login_message.php';
	$_SESSION["errmsg"] = NULL;
	if ($_GET["title_img_no"] == "999" && ($_SESSION['upload_name'] == NULL || $_SESSION['upload_name'] == "")) {
		$_SESSION["errmsg"] = "[選択画像確認]ボタンをクリックしてください！";
		$loc = "Location: ".$_SESSION["req_uri_title_img_input"]."&err=1" ;
		header($loc);
	}
	
	include 'function_pdo.php';
	include 'function_cms.php';
	$conn = init_sqlite();
	$sql = "SELECT * FROM section where (id = ".$_SESSION["section_id"].")";
	//echo "<br>sql=".$sql;		// debug
    $stmt = $conn->prepare($sql);
    $stmt->execute();
    if ($rowpg = $stmt->fetch(PDO::FETCH_ASSOC)) {
		$padding_top 	= $rowpg["padding_top"];
		$indent 		= $rowpg["indent"];
	}else{
		$padding_top 	= 10;
		$indent			= 20;
	}

	$title_img_no 				= $_GET["title_img_no"];
	$_SESSION["title_img_no"] 	= $_GET["title_img_no"];
	$_SESSION["back"] 			= $_GET["back"];
	
	if ($_GET["back"] == "design") {
		$req_uri = $_SESSION["section_title_edit_img_sel"];
	}else{
		$req_uri = $_SESSION["req_uri_section_title_img_input"];
	}
?>
<!DOCTYPE html>
<html>
<head>
<meta charset="UTF-8" >
<title>Content Management System｜ロゴ画像の選択</title>
<meta name="description" content="finelpはランディングページ作成用CMSです。販売ページを簡単に作成できます。">
<link href="cssfiles/common.css" rel="stylesheet" type="text/css">
<link href="cssfiles/cms_common.css" rel="stylesheet" type="text/css">
<link href="cssfiles/cms_contents_page.css" rel="stylesheet" type="text/css">
<link href="cssfiles/contents_title_free_page.css" rel="stylesheet" type="text/css">
<link href="cssfiles/wysiwyg.css" rel="stylesheet" type="text/css"><!-- レイアウト、書式等設定 -->
<script type="text/javascript" src="jQuery/jquery-3.2.1.min.js"></script>
<script type="text/javascript" src="js/cms_proc.js"></script>
<?php
include 'cms_contents_page_edit_updt_common_parts_page_title_adjust_css.php';
include 'cms_contents_page_edit_updt_common_parts_page_title_adjust_js.php';
?>
</head>
<body>
<div id="container_wide">
<br>
<div class="p_proc_title_cms">セクションタイトル背景画像位置調整</div>
<br class="clear_both">
<div class="p_header_title2">　セクションタイトルの位置を<img src="img/button/up.png" hspace="2" vspace="2" alt="up" class="p_btn_img" style="vertical-align:middle;"><img src="img/button/down.png" hspace="2" vspace="2" alt="down" class="p_btn_img" style="vertical-align:middle;"><img src="img/button/left.png" hspace="2" vspace="2" alt="up" class="p_btn_img" style="vertical-align:middle;"><img src="img/button/right.png" hspace="2" vspace="2" alt="up" class="p_btn_img" style="vertical-align:middle;">で調整後[ＯＫ]をクリックてください。<br>　下の入力欄に直接px値を指定して[ＯＫ]をクリックすることもできます。</div>
<br class="clear_both">
<?php
	echo "<div class=\"left_right\">";
	echo "<div id=\"left\"><img src=\"img/button/left.png\" hspace=\"2\" vspace=\"2\" alt=\"left\" title=\"左へずらす\" class=\"p_btn_img\" style=\"vertical-align:middle;\"></div>";
	echo "<div id=\"right\"><img src=\"img/button/right.png\" hspace=\"6\" vspace=\"2\" alt=\"right\" title=\"右へずらす\" class=\"p_btn_img\" style=\"vertical-align:middle;\"></div>";
	echo "</div>";
	echo "<br class=\"clear_both\">";
	echo "<div class=\"up_down\">";
	echo "<div id=\"up\"><img src=\"img/button/up.png\" hspace=\"0\" vspace=\"0\" alt=\"up\"  title=\"上にずらす\"class=\"p_btn_img\" style=\"vertical-align:middle;\"></div>";
	echo "<div id=\"down\"><img src=\"img/button/down.png\" hspace=\"0\" vspace=\"0\" alt=\"down\" title=\"下へずらす\" class=\"p_btn_img\" style=\"vertical-align:middle;\"></div>";
	echo "</div>";
	echo "<div class=\"title_box\"><div class=\"p_title_back_$title_img_no\" style=\"width:960px;\">".$_SESSION['section_title_input']."</div></div>";
	echo "<br class=\"clear_both\">";
?>
<form action="./cms_index_contents_mng_section_title_edit_img_dbsave.php?back=<?php echo $_GET["back"];?>" method="POST">
<br>
上端からの位置:<input type="text" name="padding_top_input" id="padding_top_input" value="<?php echo $rowpg["padding_top"];?>" size=3> px<br>
左端からの位置:<input type="text" name="indent_input" id="indent_input" value="<?php echo $rowpg["indent"];?>" size=3> px<br>
<br>
<div class="btn"><input type="submit" value="ＯＫ" ></div>
<div class="btn"><input type="button" value="戻る" onClick="location='<?php echo $_SESSION["req_uri_title_img_input"]; ?>&amp;modoru=1'"></div>
</form>
</div>
</body>
</html>
