<?php
/********************************************************************************
 * FineLP - Content management system for landing page 
 * Version          : 1.00
 * Full source code : http://lpsuper.com/hp/infotop006/
 * License          : GPLv2 or later
 * License URI      : http://www.gnu.org/licenses/gpl-2.0.html
 * Author           : Mitsuo Okudaira
 * Created          : 2019/08/30
 ********************************************************************************/
	date_default_timezone_set('Asia/Tokyo');
	// セッションの復元
	session_start();
	require_once 'cms_access_check.php';		// 不正アクセスチェック
	require_once 'check_login_message.php';		// ログインチェック
	include 'function_pdo.php';
	include 'function_pdo_ipn.php';
	include 'function_pdo_shop.php';
	include 'function_pdo_shop_ipn.php';
	include 'function_cms.php';
	// DBへの接続（存在しない場合はDB、TABLEを作成）
	$conn 		= init_sqlite();
	$connipn 	= init_sqlite_ipn();
	$connshp 	= init_sqlite_shop();
	$connshpipn = init_sqlite_shop_ipn();
	
	$uri_param 	= explode( '?', $_SERVER['REQUEST_URI'] );
	$uri_param0 = str_replace("/hp_ref/","",$uri_param[0]);
	$_SESSION["uri_cta_info_mng"] = $uri_param0;
	
?>
<!DOCTYPE html>
<html>
<head>
<meta charset="UTF-8" >
<title>Content Management System｜ＣＴＡ登録情報管理</title>
<meta name="description" content="finelpはランディングページ作成用CMSです。販売ページを簡単に作成できます。">
<link href="cssfiles/common.css" rel="stylesheet" type="text/css">
<link href="cssfiles/cms_common.css" rel="stylesheet" type="text/css">
<link href="cssfiles/cms_contents_page.css" rel="stylesheet" type="text/css">
<link href="cssfiles/contents_shop_page.css" rel="stylesheet" type="text/css">
<link href="cssfiles/cms_manager.css" rel="stylesheet" type="text/css">
<script src="jQuery/jquery-3.2.1.min.js"></script>
<script type="text/javascript" src="jQuery/jquery.easing.1.3.js"></script>
<script type="text/javascript" src="js/cms_proc.js"></script>
<script type="text/javascript" src="js/floater_contents.js"></script>
</head>

<div id="container">
<div id="contents_page"><!-- CMSコンテンツ start -->
<div id="mainarea"><!-- メインコンテンツ start -->
<div class="p_contentstitle">ＣＴＡ登録情報管理</div>
		<div class="p_login_box">
    	<div class="p_login">
    	Login: <b><?php echo $_SESSION['name']; ?></b><a href="cms_logout.php">【ログアウト】</a>
		</div>
        </div>
        <br class="clear_both">
<div class="p_contents_subarea">
<span class="p_edit_memo_blue">「登録日時」をクリックすると詳細が表示されます（下記一覧はお届け先の情報です）。</span><br>
<table cellpadding="0" cellspacing="0" class="p_order">
<tr>
<td class="p_tdhs">登録日時</td><td class="p_tdh">顧客名</td><td class="p_tdh">顧客名（カナ）</td><td class="p_tdh">メールアドレス</td><td class="p_tdh">電話番号</td><td class="p_tdh">ＣＴＡ種類</td><td class="p_tdh">定期支払の状態</td><td class="p_tdh">定期支払いID</td>
</tr>
<?php
$cta_syurui[1] 		= "ご購入";
$cta_syurui[2] 		= "お申込み";
$cta_syurui[101] 	=  "ご購入";
$cta_syurui[102] 	= "お申込み";
$cta_syurui[201] 	=  "メールマガジン登録";
$cta_syurui[202] 	=  "メールマガジン登録";
$cta_syurui[203] 	=  "無料登録";
$cta_syurui[204] 	=  "無料登録";
$cta_syurui[205] 	=  "お問い合わせ";
$cta_syurui[206] 	=  "お問い合わせ";
$cta_syurui[301] 	=  "メールマガジン登録";
$cta_syurui[302] 	=  "メールマガジン登録";
$cta_syurui[303] 	=  "無料登録";
$cta_syurui[304] 	=  "無料登録";
$cta_syurui[305] 	=  "お問い合わせ";
$cta_syurui[306] 	=  "お問い合わせ";

// PayPal決済後に登録されたデータを処理する。
$sqlctaprd = "SELECT * FROM section_cta_proc_result_data_ipn ORDER BY toroku_day DESC";			
//echo "<br>sql=".$sql;		// debug
$stmtctaprd = $connipn->prepare($sqlctaprd);
$stmtctaprd->execute();
while($rowctaprd = $stmtctaprd->fetch(PDO::FETCH_ASSOC)) {
	$ipn = true;
	include 'cms_manager_cta_info_mng_parts.php';
	
}
// メルマガ登録、お問合せで登録されたデータを処理する。
$sqlctaprd = "SELECT * FROM section_cta_proc_result_data ORDER BY toroku_day DESC";
//echo "<br>sqlctaprd=".$sqlctaprd;		// debug
$stmtctaprd = $conn->prepare($sqlctaprd);
$stmtctaprd->execute();
while($rowctaprd = $stmtctaprd->fetch(PDO::FETCH_ASSOC)) {
	$ipn 	= false;
	include 'cms_manager_cta_info_mng_parts.php';
}
?>
</table>
<br class="clear_both">
<div class="p_button_modoru"><input type="button" value="　戻る　" onClick="return_focus2();"></div>
<br class="clear_both">
</div>
</div>
</div>
<!-- end .container --></div>
</body>
<script type="text/javascript">window.focus();</script>
</html>
