<?php
/********************************************************************************
 * FineLP - Content management system for landing page 
 * Version          : 1.00
 * Full source code : http://lpsuper.com/hp/infotop006/
 * License          : GPLv2 or later
 * License URI      : http://www.gnu.org/licenses/gpl-2.0.html
 * Author           : Mitsuo Okudaira
 * Created          : 2019/08/30
 ********************************************************************************/
	$domain_name = domain_user();
	if ($cms_manager) {
		$page_title = "ランディングページの管理";
	}else{
		$page_title = "ランディングページの編集";
	}
?>
<div id="cms_header">
ＦｉｎｅＬＰ <span class="aka4">C</span>ontent <span class="aka4">M</span>anagement <span class="aka4">S</span>ystem (CMS)
</div><!-- end id="cms_header" -->
<div  class="p_contentstitle"><?php echo $page_title.'（'.$domain_name;?>）</div>
	<div id="cms_pre_header">
	<div id="cms_pre_header_color">
        <div id="preview">
			<?php
				$req_page = explode("?",$_SERVER['REQUEST_URI']);
				if (strstr($req_page[0], '/cms_index')) {
					$uri = $req_page[0]."?preview=1";
				}else {
					/* 問い合わせページ対応 */
					$menu_kbn 	= $_GET["menu_kbn"];
					$btn_id 	= $_GET["btn_id"];
					if ($menu_kbn == 1) {						// メニューボタン
						$button_tbl = "menubutton";
						$button_tbl_id	= $btn_id;
					} else
					if ($menu_kbn == 2) {						//　サイドメニューボタン
						$button_tbl = "side_menubutton";
						$button_tbl_id	= $btn_id;
					} else {									//　サイドメニューアンダーボタン
						$button_tbl = "side_menu_underbutton";
						$button_tbl_id	= $btn_id;
					}
					$sql = "SELECT * FROM contents_page_ctrl where (button_tbl = :button_tbl and button_tbl_id = :button_tbl_id)";
					$stmt = $conn->prepare($sql);
					$stmt->bindParam(":button_tbl", $button_tbl);
					$stmt->bindParam(":button_tbl_id", $button_tbl_id);
					$stmt->execute();
					$rowctrl = $stmt->fetch(PDO::FETCH_ASSOC);
					$page_table = $rowctrl["page_table"];
					/* 問い合わせページ対応 end */
					$user_domain = user_domain();
					if ($page_table == "contents_toiawase_page") {			// 問い合わせページの場合
						$param = "menu_kbn=".$_GET["menu_kbn"]."&mode=".$_GET["mode"]."&orderno=".$_GET["orderno"]."&btn_id=".$_GET["btn_id"]."&root=".$_GET["root"]."&page_id=".$_GET["page_id"]."&preview=".$_GET["preview"]."&header_form=".$_GET["header_form"]."&header_color=".$_GET["header_color"]."&header_img_dsp_form=".$_GET["header_img_dsp_form"]."&side_background_color=".$_GET["side_background_color"]."&footer_form=".$_GET["footer_form"]."&footer_color=".$_GET["footer_color"]."&menu_btn_design=".$_GET["menu_btn_design"]."&menu_btn_color=".$_GET["menu_btn_color"]."&side_btn_design=".$_GET["side_btn_design"]."&side_btn_form=".$_GET["side_btn_form"]."&side_btn_color=".$_GET["side_btn_color"];
						$uri = "cms_contents_toiawase.php?".$param;
					}else
					if ($req_page[1] == NULL ) {
						$uri = "../cms_contents_page_common.php?preview=1";
					}else{
						$uri = "../cms_contents_page_common.php?".$req_page[1]."&amp;preview=1";
					}
				}
				if (!$cms_manager) echo "<input type=\"button\" value=\"プレビュー\" class=\"preview_btn\" 
						onClick=\"window.open('".$uri."','プレビュー','width=1000,height=900,left=300,top=50,resizable=1,location=0,menubar=0,toolbar=0,scrollbars=1') ; return false ;\"><br>";
			?>
		</div>
        <?php
		echo '<div class="p_login">';
		echo 'Login: <b>'.$_SESSION['name'].'</b><a href="cms_logout.php">【ログアウト】</a>';
			if ($cms_manager) echo '<br class="clear_both"><br>';
		echo '</div>';
		$ie = false;
		if (!(strrpos($_SERVER['HTTP_USER_AGENT'],'MSIE') === false)) {
			$ie = true;
		}else
		if (!(strrpos($_SERVER['HTTP_USER_AGENT'],'Trident/7.0') === false)) {
			$ie = true;
		}
		echo '<noscript>';
		if ($ie) {
			echo '<br class="clear_both">';
			echo '<div class="p_alert_cms">アクティブスクリプトが無効になっています！<br>
			下記手順でアクティブスクリプトを有効にしてください。<br>
			ブラウザ右上の歯車マークをクリックしてプルダウン表示された「インターネットオプション(O)」をクリック<br>
			表示された「インターネットオプション」ポップアップで「セキュリティー」タブをクリック<br>
			下の方にある[レベルのカスタマイズ(C)...]ボタンをクリック、表示された「セキュリティ設定-インターネットゾーン」ポップアップの<br>
			設定欄で「スクリプト」内の「アクティブスクリプト」（中間よりやや上にあります）を「有効にする」をチェック（クリック）し<br>
			下の[OK]ボタンをクリックしてください。<br>
			「このゾーンの設定を変更しますか？」という警告が出ますので[はい(Y)]をクリックしてください。<br>
			「インターネットオプション」ポップアップに戻りますので[OK]をクリックしてください。</div>';
			echo '<br class="clear_both">';
		}else{
			echo '<br class="clear_both">
			<span class="aka2">恐れ入りますが、ご利用のブラウザでJavaScriptが無効になっているためご利用できません。<br>
			お手数をおかけいたしますがブラウザの設定でJavaScriptを有効にしてからご利用ください。</span>';
		}
		echo '</noscript>';
		?>
        
    </div>
</div>