<?php
/********************************************************************************
 * FineLP - Content management system for landing page 
 * Version          : 1.00
 * Full source code : http://lpsuper.com/hp/infotop006/
 * License          : GPLv2 or later
 * License URI      : http://www.gnu.org/licenses/gpl-2.0.html
 * Author           : Mitsuo Okudaira
 * Created          : 2019/08/30
 ********************************************************************************/
	date_default_timezone_set('Asia/Tokyo');
	// セッションの復元
	session_start();
	// ログインチェック
	include 'function_pdo.php';
	include 'function_pdo_shop.php';
	include 'function_cms.php';
	// DBへの接続（存在しない場合はDB、TABLEを作成）
	$conn = init_sqlite();
	$connshp = init_sqlite_shop();			// ネットショップ関連TABLEを作成、関数を定義
	$page_title 						= $_POST['page_title_input'];
	$page_description 					= $_POST['page_description_input'];
	$page_keywords 						= $_POST['page_keywords_input'];
	$_SESSION['page_title_input']		= $_POST['page_title_input'];
	$_SESSION['page_description_input']	= $_POST['page_description_input'];
	$_SESSION['page_keywords_input']	= $_POST['page_keywords_input'];
	// 入力チェック
	$_SESSION["errmsg"] = NULL;
	if ($page_title == NULL || $page_title == "") $_SESSION["errmsg"] = $_SESSION["errmsg"]."タイトルを入力してください！<br>\n";
	if ($page_description == NULL || $page_description == "") $_SESSION["errmsg"] = $_SESSION["errmsg"]."説明文を入力してください！<br>\n";

	if ($_SESSION["errmsg"]  <> NULL) {
		$loc = "Location:".$_SESSION["search_key_edit"]."?err=1&modoru=1";
		header($loc);
		exit;
	}
?>
<!DOCTYPE html>
<html>
<head>
<meta charset="UTF-8" >
<title>Content Management System｜検索対策の確認</title>
<meta name="description" content="finelpはランディングページ作成用CMSです。販売ページを簡単に作成できます。">
<link href="cssfiles/common.css" rel="stylesheet" type="text/css">
<link href="cssfiles/cms_common.css" rel="stylesheet" type="text/css">
<link href="cssfiles/index.css" rel="stylesheet" type="text/css">
<link href="cssfiles/cms_contents_page.css" rel="stylesheet" type="text/css">
<link href="cssfiles/wysiwyg.css" rel="stylesheet" type="text/css">
</head>
<div id="container">
<div id="contents_page"><!-- CMSコンテンツ start -->
<div id="mainarea"><!-- メインコンテンツ start -->
<div class="p_contentstitle">検索対策の確認</div>
		<div class="p_login_box">
    	<div class="p_login">
    	Login: <b><?php echo $_SESSION['name']; ?></b><a href="cms_logout.php">【ログアウト】</a>
		</div>
        </div>

<div class="p_contents_subarea">
<form action="cms_search_key_edit_dbsave.php" method="POST">
<?php
echo "<span class=\"p_edit_guide\">以下を確認し[保存]ボタンをクリックしてください。</span><br>";
echo "<br class=\"clear_both\">";
echo "<div class=\"p_edit_title\">タイトル</div>";
echo "<br class=\"clear_both\">";
echo "<div class=\"search_output_area1\">".$page_title."</div>";
echo "<br class=\"clear_both\"><br>";
echo "<div class=\"p_edit_title\">説明文（キーワード含む）</div>";
echo "<br class=\"clear_both\">";
echo "<div class=\"search_output_area2\">".$page_description."</div>";
echo "<br class=\"clear_both\"><br>";
echo "<div class=\"p_edit_title\">キーワード</div>";
echo "<br class=\"clear_both\">";
echo "<div class=\"search_output_area2\">".$page_keywords."</div>";
echo "<br class=\"clear_both\">";
?>
<br class="clear_both"><br>
<div class="btn"><input type="submit" value="　保存　"></div>
<div class="btn"><input type="button" value="　戻る　" onClick="location='<?php echo $_SESSION["search_key_edit"]; ?>?modoru=1'"></div>
</form>
<br class="clear_both">
</div>
</div>
</div>
</div>


</body>
<script type="text/javascript">window.focus();</script>
</html>
