<?php
/********************************************************************************
 * FineLP - Content management system for landing page 
 * Version          : 1.00
 * Full source code : http://lpsuper.com/hp/infotop006/
 * License          : GPLv2 or later
 * License URI      : http://www.gnu.org/licenses/gpl-2.0.html
 * Author           : Mitsuo Okudaira
 * Created          : 2019/08/30
 ********************************************************************************/
	// セッションの復元
	session_start();
	// ログインチェック
	require_once 'check_login_message.php';
	include 'function_pdo.php';
	include 'function_cms.php';
	// DBへの接続（存在しない場合はDB、TABLEを作成）
	$conn = init_sqlite();
	$id				= $_GET['id'];
	$page_id		= $_GET['page_id'];
	$proc 			= $_GET['proc'];
	$_SESSION["errmsg"]				= NULL;
	$_SESSION['free_page_errmsg'] 	= NULL;
	switch ($proc) {
		case 'up':																// 対象のボタンを上に移動する。
			// クリックされたボタンの上側にプロフィールがあるかをチェックする。
			// クリックされたボタンのプロフィール項目のorder_no、idを取得する。
			$sql0 = "SELECT * FROM contents_title_free_data where id = ".$id;
			$stmt = $conn->prepare($sql0);
			$stmt->execute();
			$row0 = $stmt->fetch(PDO::FETCH_ASSOC);
			
			$sql = "SELECT * FROM contents_title_free_data where (order_no < ".$row0["order_no"]." and title_free_page_id = ".$page_id.")";		// 上側にボタンがあるかをチェックする
			$stmt = $conn->prepare($sql);
			$stmt->execute();
			if (!($row = $stmt->fetch(PDO::FETCH_ASSOC))) {
				$_SESSION['free_page_errmsg'] = "上端の項目は上には移動出来ません！";
			} else {
				//// ボタンを上に移動する。
				// 指定されたボタンの上のボタンを取得する。
				$sql = "SELECT * FROM contents_title_free_data where (order_no < ".$row0["order_no"]." and title_free_page_id = ".$page_id.") ORDER BY order_no DESC";	// 処理対象のボタンのデータのみを選択
				// １個上側ボタンを下に移動する。
				$stmt = $conn->prepare($sql);
				$stmt->execute();
				$row = $stmt->fetch(PDO::FETCH_ASSOC);
				$order_no = $row0["order_no"];
				$sql_tmp = "update contents_title_free_data set
								order_no			= :order_no,
								update_time 		= :update_time
								where id			= :id";
					$stmt = $conn->prepare($sql_tmp);
					$stmt->bindParam(":id", $row['id']);
					$stmt->bindParam(":order_no", $order_no);
					//更新日時
					$time 			= time();
					$update_time 	= date('Y/m/d H:i:s', $time);
					$stmt->bindParam(":update_time", $update_time);
					$stmt->execute();
				// 指定されたボタンを上に移動する。
				$order_no = $row["order_no"];					// １個上側ボタンの元のorder_noをセットする。
				$sql_tmp = "update contents_title_free_data set
								order_no			= :order_no,
								update_time 		= :update_time
								where id			= :id";
					$stmt = $conn->prepare($sql_tmp);
					$stmt->bindParam(":id", $row0['id']);
					$stmt->bindParam(":order_no", $order_no);
					//更新日時
					$time 			= time();
					$update_time 	= date('Y/m/d H:i:s', $time);
					$stmt->bindParam(":update_time", $update_time);
					$stmt->execute();
			}
			break;
		case 'down':																// 対象のボタンを上に移動する。
			// クリックされたボタンの下側にプロフィールがあるかをチェックする。
			// クリックされたボタンのプロフィール項目のorder_no、idを取得する。
			$sql0 = "SELECT * FROM contents_title_free_data where id = ".$id;
			$stmt = $conn->prepare($sql0);
			$stmt->execute();
			$row0 = $stmt->fetch(PDO::FETCH_ASSOC);
			
			$sql = "SELECT * FROM contents_title_free_data where (order_no > ".$row0["order_no"]." and title_free_page_id = ".$page_id.")";		// 上側にボタンがあるかをチェックする
			$stmt = $conn->prepare($sql);
			$stmt->execute();
			if (!($row = $stmt->fetch(PDO::FETCH_ASSOC))) {
				$_SESSION['free_page_errmsg'] = "下端の項目は下には移動出来ません！";
			} else {
				//// ボタンを上に移動する。
				// 指定されたボタンの上のボタンを取得する。
				$sql = "SELECT * FROM contents_title_free_data where (order_no > ".$row0["order_no"]." and title_free_page_id = ".$page_id.") ORDER BY order_no ASC";	// 処理対象のボタンのデータのみを選択
				// １個上側ボタンを上に移動する。
				$stmt = $conn->prepare($sql);
				$stmt->execute();
				$row = $stmt->fetch(PDO::FETCH_ASSOC);
				$order_no = $row0["order_no"];
				$sql_tmp = "update contents_title_free_data set
								order_no			= :order_no,
								update_time 		= :update_time
								where id			= :id";
					$stmt = $conn->prepare($sql_tmp);
					$stmt->bindParam(":id", $row['id']);
					$stmt->bindParam(":order_no", $order_no);
					//更新日時
					$time 			= time();
					$update_time 	= date('Y/m/d H:i:s', $time);
					$stmt->bindParam(":update_time", $update_time);
					$stmt->execute();
				
				// 指定されたボタンを上に移動する。
				$order_no = $row["order_no"];					// １個上側ボタンの元のorder_noをセットする。
				$sql_tmp = "update contents_title_free_data set
								order_no			= :order_no,
								update_time 		= :update_time
								where id			= :id";
					$stmt = $conn->prepare($sql_tmp);
					$stmt->bindParam(":id", $row0['id']);
					$stmt->bindParam(":order_no", $order_no);
					//更新日時
					$time 			= time();
					$update_time 	= date('Y/m/d H:i:s', $time);
					$stmt->bindParam(":update_time", $update_time);
					$stmt->execute();
			}
			break;
			
	}
	header('Location:'.$_SESSION["req_title_free"].'');
?>
