<?php
/********************************************************************************
 * FineLP - Content management system for landing page 
 * Version          : 1.00
 * Full source code : http://lpsuper.com/hp/infotop006/
 * License          : GPLv2 or later
 * License URI      : http://www.gnu.org/licenses/gpl-2.0.html
 * Author           : Mitsuo Okudaira
 * Created          : 2019/08/30
 ********************************************************************************/
	ini_set("session.bug_compat_42", 0);
	ini_set("session.bug_compat_warn", 0);
	session_start();
	// 不正アクセスチェック
	require_once 'wysiwyg_access_check.php';
	$index 				= $_GET["index"];
?>
<!DOCTYPE html>
<html lang="ja">
<head>
<meta charset="UTF-8" >
<title>画像の情報採取とpost</title>
<link href="../cssfiles/wysiwyg.css" rel="stylesheet" type="text/css">
<script src="../jQuery/jquery-3.2.1.min.js"></script>
<script>
jQuery(function(){
	var image_link_value		= window.opener.$(".editable_imagelink:eq(<?php echo $index;?>)").parent().attr("href");
	//alert("image_link_value="+image_link_value);	// test
	//var target_value			= window.opener.$(".editable_imagelink:eq(<?php// echo $index;?>)").find(".target").text();
	var target_str		= window.opener.$(".editable_imagelink:eq(<?php echo $index;?>)").parent().attr("target");
	if (target_str == "_blank") {
		target_value		= 1;
	}else{
		target_value		= 0;
	}
	//alert("target_value="+target_value);	// test
	var imgpath_value			= window.opener.$(".editable_imagelink:eq(<?php echo $index;?>)").attr("src");
	var width_value_px			= window.opener.$(".editable_imagelink:eq(<?php echo $index;?>)").css("width");
	var width_value				= Number(width_value_px.replace( /px/g , "" ));
	var height_value_px			= window.opener.$(".editable_imagelink:eq(<?php echo $index;?>)").css("height");
	var height_value			= Number(height_value_px.replace( /px/g , "" ));
	var img_title_value			= window.opener.$(".editable_imagelink:eq(<?php echo $index;?>)").attr("alt");
	var align_value				= window.opener.$(".editable_imagelink:eq(<?php echo $index;?>)").attr("align");

	var form = document.createElement("form");
	form.setAttribute("action", "wysiwyg_imagelink.php?proc=upd&call_level=<?php echo $_GET["call_level"];?>&index=<?php echo $index;?>");
	form.setAttribute("method", "post");
	form.style.display = "none";
	document.body.appendChild(form);

	var input = document.createElement('input');
	input.setAttribute('type', 'hidden');
	input.setAttribute('name', "image_link");
	input.setAttribute('value', image_link_value);
	form.appendChild(input);

	var input = document.createElement('input');
	input.setAttribute('type', 'hidden');
	input.setAttribute('name', "target");
	input.setAttribute('value', target_value);
	form.appendChild(input);

	var input = document.createElement('input');
	input.setAttribute('type', 'hidden');
	input.setAttribute('name', "imgpath");
	input.setAttribute('value', imgpath_value);
	form.appendChild(input);
	
	var input = document.createElement('input');
	input.setAttribute('type', 'hidden');
	input.setAttribute('name', "width");
	input.setAttribute('value', width_value);
	form.appendChild(input);
	
	var input = document.createElement('input');
	input.setAttribute('type', 'hidden');
	input.setAttribute('name', "height");
	input.setAttribute('value', height_value);
	form.appendChild(input);
	
	var input = document.createElement('input');
	input.setAttribute('type', 'hidden');
	input.setAttribute('name', "align");
	input.setAttribute('value', align_value);
	form.appendChild(input);
	
	var input = document.createElement('input');
	input.setAttribute('type', 'hidden');
	input.setAttribute('name', "img_title");
	input.setAttribute('value', img_title_value);
	form.appendChild(input);

	form.submit();
	
});
</script>
</head>
<body>
</body>
</html>
